CREATE TABLE sscTemplate (
	templateID INT(11) NOT NULL AUTO_INCREMENT,
	code VARCHAR(255) NOT NULL,
	type VARCHAR(255) NOT NULL,
	subject VARCHAR(255),
	description TEXT,
	bodyHtml MEDIUMTEXT,
	bodyText MEDIUMTEXT,
	isActive TINYINT(4) NOT NULL DEFAULT 0,
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.email.TemplateBean',
	PRIMARY KEY  (templateID),
	UNIQUE KEY (code)
);

CREATE TABLE sscEmail (
	emailID INT(11) NOT NULL AUTO_INCREMENT,
	orderID INT(11),
	customerID INT(11),
	templateID INT(11),
	type VARCHAR(255),
	toEmails VARCHAR(255),
	ccEmails VARCHAR(255),
	bccEmails VARCHAR(255),
	fromEmail VARCHAR(255),
	subject VARCHAR(255),
	bodyHtml MEDIUMTEXT,
	bodyText MEDIUMTEXT,
	createdTime VARCHAR(30),
	sendTime VARCHAR(30),
	lastActionTime VARCHAR(30),
	status VARCHAR(255) NOT NULL default 'Unattempted',
	errorMessage VARCHAR(255),
	lastEvent VARCHAR(100),
	lastEventTime VARCHAR(30),
	smtpServer VARCHAR(255),
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailBean',
	FOREIGN KEY (orderID) REFERENCES sscOrder (orderID) ON DELETE SET NULL,
	FOREIGN KEY (customerID) REFERENCES sscCustomer (customerID) ON DELETE SET NULL,
	FOREIGN KEY (templateID) REFERENCES sscTemplate (templateID) ON DELETE SET NULL,
	PRIMARY KEY  (emailID),
	KEY (type),
	KEY (toEmails),
	KEY (createdTime)
);

CREATE TABLE sscEmailOptOut (
	emailOptOutID INT(11) NOT NULL AUTO_INCREMENT,
	emailAddress VARCHAR(255) NOT NULL,
	createdTime VARCHAR(30) NOT NULL,
	type VARCHAR(50) NOT NULL,
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailOptOutBean',
	PRIMARY KEY  (emailOptOutID),
	UNIQUE KEY (emailAddress, type),
	KEY (createdTime)
);
