UPDATE sscSetting SET smallValue='3.2.0' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('logRequestsToDatabase','Log Requests to the Database','If true, the request log table in the database, sscRequestLog, will be populated with basic information about every request, which is accessible via the <a href="RequestLog.do">Request Log area</a> of Administrator interface. Otherwise, the information may be logged to files using log4j.properties.','ADVANCEDSYSTEM', 'booleanValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET type = 'PAYMENTS' WHERE type = 'PAYMENT';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayAccountDownloadsLink','Display Account Downloads Link','If set to yes, the Downloads tab in the customer account area will appear, where the customer can access virtual (downloadable) products he has purchased.','CUSTOMERACCOUNT','booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscRole(code, name, description)
VALUES('customerWishListView', 'Customer Wish List Viewer', 'Allows access to view customer wish lists.');
INSERT INTO sscRole(code, name, description)
VALUES('customerWishListEdit', 'Customer Wish List Editor', 'Allows access to view, edit, and delete customer wish lists.');
INSERT INTO sscRole(code, name, description)
VALUES('requestLogView', 'Request Log Viewer', 'Allows access to view request logs.');
INSERT INTO sscRole(code, name, description)
VALUES('requestLogEdit', 'Request Log Editor', 'Allows access to view, edit, and delete request logs.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('allowCustomerWishLists','Allow Wish Lists for Customers','If true, customers will be able to create wish lists. Add custom setting allowCustomerWishLists = false on individual products to override.','CUSTOMERACCOUNT','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('maxCustomerWishLists','Max Customer Wish Lists','The maximum number of wish lists a customer can have.','CUSTOMERACCOUNT','integerValue',10,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('maxProductsPerWishLists','Max Products Per Wish Lists','The maximum number of products that can be added to a single wish list.','CUSTOMERACCOUNT','integerValue',20,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('wishListPageSize','Wish List Page Size','The number of products to display per page of a wish list page.','PRODUCTLISTDISPLAY','integerValue',9,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExURL','FedEx URL','The URL to the FedEX online service. Use https://gatewaybeta.fedex.com:443/web-services for their test server, and https://gateway.fedex.com:443/web-services for their live server.','FEDEX', 'mediumValue',NULL,NULL,'https://gatewaybeta.fedex.com:443/web-services',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExAccountNumber','FedEx Account Number','Your FedEx account number (without hyphens).','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExMeterNumber','FedEx Meter Number','Your FedEx meter number, provided by FedEx when you subscribe to the online service.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExAPIKey','FedEx API Key','Your FedEx API key, provided by FedEx when you subscribe to the online service.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExPassword','FedEx Password','Your FedEx Password, provided by FedEx when you subscribe to the online service.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExServiceOptionNames','FedEx Service Names','Comma separated list of names for all the service options available with FedEx.','FEDEX', 'textValue',NULL,NULL,NULL,'Priority Overnight, Standard Overnight, First Overnight, FedEx 2-Day, FedEx Express Saver, International Priority, International Economy, International First, FedEx 1-Day Freight, FedEx 2-Day Freight, FedEx 3-Day Freight, FedEx Ground, FedEx Ground Home Delivery, FedEx Freight, FedEx National Freight, International Ground, International Economy Freight, International Priority Freight, Europe First International Priority, Smart Post');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExServiceOptions','FedEx Service Options','Comma separated list of all the service options available with FedEx.','FEDEX', 'textValue',NULL,NULL,NULL,'PRIORITY_OVERNIGHT, STANDARD_OVERNIGHT, FIRST_OVERNIGHT, FEDEX_2_DAY, FEDEX_EXPRESS_SAVER, INTERNATIONAL_PRIORITY, INTERNATIONAL_ECONOMY, INTERNATIONAL_FIRST, FEDEX_1_DAY_FREIGHT, FEDEX_2_DAY_FREIGHT, FEDEX_3_DAY_FREIGHT, FEDEX_GROUND, GROUND_HOME_DELIVERY, FEDEX_FREIGHT, FEDEX_NATIONAL_FREIGHT, INTERNATIONAL_GROUND, INTERNATIONAL_ECONOMY_FREIGHT, INTERNATIONAL_PRIORITY_FREIGHT, EUROPE_FIRST_INTERNATIONAL_PRIORITY, SMART_POST');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExService','FedEx Service','Defines which shipping options are displayed for the customer.', 'FEDEX', 'textValue',NULL,NULL,NULL,'PRIORITY_OVERNIGHT, STANDARD_OVERNIGHT, FIRST_OVERNIGHT, FEDEX_2_DAY, FEDEX_EXPRESS_SAVER, FEDEX_GROUND, INTERNATIONAL_PRIORITY, INTERNATIONAL_ECONOMY');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExOriginAddressStateOrProvinceCode','FedEx Origin State Or Province Code','The state or province code of the origin address for shipments.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExOriginAddressPostalCode','FedEx Origin Postal Code','The postal code of the origin address for shipments.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExOriginAddressCountryCode','FedEx Origin Country Code','The country code of the origin address for shipments.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExShowListPrices','FedEx Show List Prices?','If true, the shipping rates displayed to customers will be the retail or list prices rather than the discounted rates for your FedEx account.','FEDEX', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDropoffType','FedEx Drop off Type','For FedEx Express only, select the method of drop off.','FEDEX', 'smallValue',NULL,'REGULAR_PICKUP',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExPackaging','FedEx Packaging','Select the style of packaging to be used for FedEx shipments.','FEDEX', 'smallValue',NULL,'YOUR_PACKAGING',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExResidence','Is Ship to Address Residential?','Whether rates should reflect that the shipment goes to a residence.','FEDEX', 'smallValue',NULL,'ORGANIZATION_FIELD',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExSignatureOption','FedEx Signature Option','Optional. The signature option to be used for FedEx rate requests.','FEDEX', 'smallValue',NULL,'NO_SIGNATURE_REQUIRED',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraDeliveryDays','FedEx Extra Delivery Days','If delivery dates are shown to customers, the number of additional days to add to the shipping date sent to FedEx (to cover internal handling).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraCharge','FedEx Extra Charge','An amount to add to the value of each of the rates returned by FedEx.','FEDEX', 'smallValue',NULL,'0.00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraWeight','FedEx Extra Weight','The amount of weight to add to each package for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all packages.','FEDEX', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDefaultLength','FedEx Default Length','Optional. If defined and greater than zero, the value of this setting will be used as the length of the package for each FedEx rate request (applies if Your Packaging is set as the package type).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDefaultWidth','FedEx Default Width','Optional. If defined and greater than zero, the value of this setting will be used as the width of the package for each FedEx rate request (applies if Your Packaging is set as the package type).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDefaultHeight','FedEx Default Height','Optional. If defined and greater than zero, the value of this setting will be used as the height of the package for each FedEx rate request (applies if Your Packaging is set as the package type).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExWeightUnits','FedEx Weight Unit','Are the weight amounts measured in pounds or kilograms? Must be pounds for U.S. FedEx Express rate quotes.','FEDEX', 'smallValue',NULL,'LB',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDimensionsUnits','FedEx Dimension Unit','Are dimension amounts measured in inches or centimeters. Must be inches for a U.S. FedEx Express rate quote.','FEDEX', 'smallValue',NULL,'IN',NULL,NULL);

INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMLoginID', 'Authorize.net Login ID', 'authorizeNetDPM', 'smallValue', NULL, '', NULL, NULL, 'The user name or login id used to log into the Authorize.net account.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMTxKey', 'Authorize.net Transaction Key', 'authorizeNetDPM', 'smallValue', NULL, '', NULL, NULL, 'The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMURL', 'Authorize.net URL', 'authorizeNetDPM', 'mediumValue', NULL, NULL, 'https://secure.authorize.net/gateway/transact.dll', NULL, 'The URL to the Authorize.net payment gateway.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMRelayURL', 'Authorize.net Relay URL', 'authorizeNetDPM', 'smallValue', NULL, '/AuthorizeNetDPMRelayResponse.do', NULL, NULL, 'The Authorize.net Relay URL. You must have this URL set up in your Authorize.net merchant interface under Accounts -> Settings -> Response/Receipt URLs.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMVersion', 'Authorize.net Version', 'authorizeNetDPM', 'smallValue', NULL, '3.1', NULL, NULL, 'The Authorize.net application version.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMMethods', 'Authorize.net Payment Methods', 'authorizeNetDPM', 'smallValue', NULL, 'CC', NULL, NULL, 'The Authorize.net payment methods you offer.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description)
VALUES ('authorizeNetDPMTxType', 'Transaction Type', 'authorizeNetDPM', 'smallValue', NULL, 'AUTH_ONLY', NULL, NULL, 'The type of transaction for Authorize.net to perform with each order.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMTestRequest', 'Test Mode?', 'authorizeNetDPM', 'booleanValue', 1, NULL, NULL, NULL, 'If true, transactions will be sent to Authorize.net as test requests.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMCustomerID', 'Customer ID', 'authorizeNetDPM', 'smallValue', NULL, '%%CUSTOMER_ID%%', NULL, NULL, 'The customer ID sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMInvoiceNum', 'Invoice Number', 'authorizeNetDPM', 'smallValue', NULL, '%%ORDER_ID%%', NULL, NULL, 'The invoice number sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMPONumber', 'PO Number', 'authorizeNetDPM', 'mediumValue', NULL, NULL, '', NULL, 'The purchase order number sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMDescription', 'Transaction Description', 'authorizeNetDPM', 'textValue', NULL, NULL, NULL, 'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%', 'A description of the transaction sent to Authorize.net.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMDupeTxTimeout', 'Duplicate Transaction Timeout', 'authorizeNetDPM', 'integerValue', 15, NULL, NULL, NULL, 'Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMEmailCustomer', 'Email Customer?', 'authorizeNetDPM', 'booleanValue', 0, NULL, NULL, NULL, 'If true, Authorize.net will email the customer confirmation of the payment.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMEmailCustomerConfirmationWhen', 'Email Customer Order Confirmation When?', 'authorizeNetDPM', 'booleanValue', 1, NULL, NULL, NULL, 'If During Payment Process, the system will email the customer their order confirmation as soon as the payment is cleared. Doing so may increase the likelihood of Authorize.net not receiving a response within their timeout period, which is 10 seconds as of this writing, and thus showing the customer an error message. To speed up the response, you can set this to After Payment Process, in which case the emails will be sent after the receipt page is shown. If your fulfillment process depends on the emails, use caution since the browser may fail to redirect to the receipt page. Note that this setting is ignored and treated like After Payment Process if the below Complete Order When? setting is set to After Payment Process.');
INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetDPMDelayOrderProcessing', 'Complete Order When?', 'authorizeNetDPM', 'booleanValue', 1, NULL, NULL, NULL, 'If During Payment Process, the system will mark the order complete as soon as Authorize.net sends its Relay Response request. If Authorize.net does not receive a response within their timeout period, which is 10 seconds as of this writing, it presents the customer with an error message. To reduce the possibility of that error message, you can set this to After Payment Process. With that setting, the system will save the payment transaction details from Authorize.net and immediately return a confirmation in an attempt to avoid the timeout. The order will then get processed in the system when the browser sends the customer to the Thank You page. To mitigate against the possibility of the browser failing to redirect, refer to CommandLineFiledPaymentCheck to set up a failsafe cron task to process orders that fail to complete when After Payment Process is set.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxVerifyAddress','Verify/Update Addresses?','Verify the delivery address with Avatax, and update the order with the results, before processing tax?','AVATAX', 'booleanValue','0',NULL,NULL,NULL);
