<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="orderHistoryPageSize" value="${settings.map.orderHistoryPageSize}"/>
<bean:size id="itemCount" name="savedCartsList"/>
<%
    String orderHistoryPageSize = (String) pageContext.getAttribute("orderHistoryPageSize");
%>
<%--No saved carts message--%>
<c:if test="${empty savedCartsList or savedCartsList['empty']}">
	<p id="noSavedCarts"><bean:message key="accountSavedCarts.noSavedCarts" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty savedCartsList and !savedCartsList['empty']}">
	<div class="table-responsive">
	<table id="savedCartsTable" class="table table-striped">
		<tr class="listHeading">
			<th colspan="2">&nbsp;</th>
			<th><bean:message key="order.lastModifiedDate" bundle="/order"/></th>
			<th><bean:message key="order.createdDate" bundle="/order"/></th>
			<th><bean:message key="order.quantity" bundle="/order"/></th>
			<th><bean:message key="order.subtotal" bundle="/order"/></th>
		</tr>
		<% String startingItem = (String) request.getAttribute("startingItem"); %>
		<logic:iterate name="savedCartsList" id="order" indexId="index" offset="<%= startingItem %>" length="<%= orderHistoryPageSize %>">
			<tr id="savedCart-${order.orderID}" class="savedCart ${thisClass}">
				<%--Pickup cart button--%>
				<td class="pickUp">
					<ssc:link href="${customerURL}/SavedCartPickup.do?orderID=${order.orderID}" styleClass="buttonLink">
						<span id="cartPickupButton" class="buttonWrap"><button class="btn btn-primary"><bean:message key="accountSavedCarts.pickUpButton" bundle="/customer"/></button></span>
					</ssc:link>
				</td>
				<%--Remove cart button--%>
				<td class="remove">
					<ssc:link href="${customerSecureURL}/SavedCartRemove.do?orderID=${order.orderID}" styleClass="buttonLink">
						<span id="cartRemoveButton" class="buttonWrap"><button class="btn btn-default"><bean:message key="accountSavedCarts.removeButton" bundle="/customer"/></button></span>
					</ssc:link>
				</td>
				<%--Last modified--%>
				<td class="lastModified">
					<c:if test="${!empty order.lastModified}">
						<fmt:parseDate value="${order.lastModified}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%--Created--%>
				<td class="created">
					<c:if test="${!empty order.created}">
						<fmt:parseDate value="${order.created}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%--Quantity--%>
				<td class="quantity">
					<logic:greaterThan name="order" property="quantity" value="0">
						${order.quantity}
					</logic:greaterThan>
				</td>
				<%--Total--%>
				<td class="total">
					<c:if test="${!empty order.subtotal}">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							${order.subtotal}
						</fmt:formatNumber>
					</c:if>
				</td>
			</tr>
		</logic:iterate>
	</table>
	</div>
	<%-- Pagination --%>
	<c:if test="${itemCount > orderHistoryPageSize}">
		<ul id="savedCartPagination" class="pager">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - orderHistoryPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + orderHistoryPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<li><ssc:link href="${secureURL}/AccountSavedCarts.do"><bean:message key="productList.pagePrevious" bundle="/product"/></ssc:link></li>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<li><ssc:link href="${secureURL}/AccountSavedCarts.do?startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></ssc:link></li>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<li><ssc:link href="${secureURL}/AccountSavedCarts.do?startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></ssc:link></li>
			</c:if>
		</ul>
	</c:if>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
