<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
	pageContext.setAttribute("activePaymentForms", activePaymentFormTemplates);
%>
<bean:define id="authorizeDPMURL" name="settings" property="value(authorizeNetDPMURL)"/>
<c:forTokens var="templateFile" varStatus="current" items="${activePaymentForms}" delims=",">
	<c:choose>
		 <c:when test="${fn:contains(templateFile,'creSecurePaymentForm.jsp')}">
         	<%-- Normal form button if choosing existing payment profile --%>
         	<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
         	<c:if test="${ !empty user.order.paymentProfileID}">
				<form class="centeredForm form-horizontal" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post">
				<input type="hidden" name="submittedForm" value="checkoutPayment" />
				<input type="hidden" name="paymentFormCount" value="${current.count}"/>
				<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
				<c:set var="creDisplayFormPart" value="paymentButton" scope="request"/>
				<ssc:insert page="<%= templateFile %>" />
				<br/>
				</form>
			</c:if>
			<c:if test="${!empty creSecureFormURL }">
				<c:set var="creDisplayFormPart" value="creForm" scope="request"/>
				<ssc:insert page="<%= templateFile %>" />
				<%-- Use this form to submit to confirm in javascript if using confirm page --%>
				<form id="crePaymentForm" class="centeredForm form-horizontal" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post">
					<input type="hidden" name="submittedForm" value="checkoutPayment" />
					<input type="hidden" name="paymentFormCount" value="${current.count}"/>
					<input type="hidden" name="creditCardNumberDisplay" value=""/>
					<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
				</form>
				<br/>
			</c:if>
         </c:when>
         <c:otherwise>
		    <c:set var="canUsePO" value="${!empty user.customer and user.customer.canUsePO}"/>
         	<c:choose>
		        <c:when test="${fn:contains(templateFile,'purchaseOrderPaymentForm.jsp') and !canUsePO}">
						<!-- PO Not Available -->
				</c:when>   
		        <c:when test="${fn:contains(templateFile,'authorizeNetDPMPaymentForm.jsp')}">
					<form class="centeredForm form-horizontal" name="checkoutPayment" action="${settings.map.authorizeNetDPMURL}" method="post">
		        </c:when>
		        <c:when test="${fn:contains(templateFile,'authorizeNetAIMPaymentForm.jsp')}">
		        
					<%-- Include Accept.js if enabled. --%>
					<c:choose>
						<c:when test="${settings.map.authorizeNetEnableAcceptJS eq '1' and settings.map.authorizeNetTestRequest eq '1'}">
							<script type="text/javascript" src="https://jstest.authorize.net/v1/Accept.js" charset="utf-8"></script>
							<ssc:insert page="/WEB-INF/layouts/default/payment/authorizeNetAcceptJSHelper.jsp" />
						</c:when>
						<c:when test="${settings.map.authorizeNetEnableAcceptJS eq '1' and settings.map.authorizeNetTestRequest ne '1'}">
							<script type="text/javascript" src="https://js.authorize.net/v1/Accept.js" charset="utf-8"></script>
							<ssc:insert page="/WEB-INF/layouts/default/payment/authorizeNetAcceptJSHelper.jsp" />
						</c:when>
					</c:choose>
					
					<%-- Don't include the form's action to CheckoutPayment.do if Accept.js is enabled. Instead, intercept the request with $.SSCAuthorizeNetAcceptJSHelper.interceptRequestWithAcceptJS. --%>
					<form id="authorizeNetAIMForm" class="paymentForm centeredForm form-horizontal" name="checkoutPayment" <c:if test="${settings.map.authorizeNetEnableAcceptJS eq '1' and settings.map.useAjaxOnePageCheckout ne '1'}"> onsubmit="return $.SSCAuthorizeNetAcceptJSHelper.interceptRequestWithAcceptJS()" </c:if> <c:if test="${settings.map.authorizeNetEnableAcceptJS ne '1'}"> action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" </c:if> method="post">
		        </c:when>
		        
				<%-- All other payment methods' form tag. --%>
		        <c:otherwise>
					<form class="paymentForm centeredForm form-horizontal" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post">
		        </c:otherwise>
	        </c:choose>
	        <c:if test="${!fn:contains(templateFile,'purchaseOrderPaymentForm.jsp') or canUsePO}">
				<input type="hidden" name="submittedForm" value="checkoutPayment" />
				<input type="hidden" name="paymentFormCount" value="${current.count}"/>
				<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
				<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
				<ssc:insert page="<%= templateFile %>" />
				<br/>
				</form>
			</c:if>
         </c:otherwise>
	</c:choose>
</c:forTokens>
<!-- End ${pageScope.sscCurrentPage} -->
