<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="manufacturer-${manufacturer.code}" class="manufacturer">
	<%-- Manufacturer header --%>
	<c:if test="${!empty manufacturer.header}">
		<span class="manufacturerHeader">
			<c:out value="${manufacturer.header}" escapeXml="false"/>
		</span>
	</c:if>
	<div class="col-xs-12 flush">
	
		<%-- Manufacturer name --%>
		<div class="page-header">
			<h1 class="name pageTitle"><c:out value="${manufacturer.name}" escapeXml="false"/></h1>
		</div>
		
		<%-- Manufacturer website URL --%>
		<c:if test="${!empty manufacturer.websiteURL}">
			<p class="links">
				<a href="${manufacturer.websiteURL}">${manufacturer.websiteURL}</a>
			</p>
		</c:if>
		
		<%-- Manufacturer image --%>
		<c:if test="${!empty manufacturer.largeImage}">
			<div class="floater image">
				<c:choose>
					<c:when test="${!empty manufacturer.websiteURL}">
						<a href="${manufacturer.websiteURL}">
						<img class="img-responsive" src="${manufacturer.largeImage}"<c:if test="${!empty manufacturer.name}"> title="${manufacturer.name}" alt="${manufacturer.name}"</c:if>/>
						</a>
					</c:when>
					<c:otherwise>
						<img class="img-responsive" src="${manufacturer.largeImage}"<c:if test="${!empty manufacturer.name}"> title="${manufacturer.name}" alt="${manufacturer.name}"</c:if>/>
					</c:otherwise>
				</c:choose>
			</div>
		</c:if>
		
		<%-- Manufacturer description --%>
		<c:if test="${!empty manufacturer.description}">
			<p class="description"><c:out value="${manufacturer.description}" escapeXml="false"/></p>
		</c:if>
	</div>
	<%-- Products --%>
	<c:choose>
		<c:when test="${itemCount == 0 and param.ajax eq 'true'}">
			<div class="prodListControls col-xs-12">
				<div class="productListItemCount">
					${itemCount}&nbsp;<bean:message key="manufacturer.itemsPhrase" bundle="/product" /> <span class="genericInstructions"><c:out value="${manufacturer.name}" escapeXml="false"/></span>
				</div>
			</div>
		</c:when>
		<c:when test="${itemCount > 0}">
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/productListAndControls.jsp" />
		</c:when>
	</c:choose>
	<%-- Manufacturer footer --%>
	<c:if test="${!empty manufacturer.footer}">
		<span class="manufacturerFooter">
			<c:out value="${manufacturer.footer}" escapeXml="false"/>
		</span>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
