<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %> 
<!-- Start historyList.jsp -->
<c:set var="orderHistoryPageSize" value="${settings.map.orderHistoryPageSize}"/>
<bean:size id="itemCount" name="historyList"/>
<c:set var="reorderDays" value="${settings.map.reorderDays}"/>
<%
    // Get the number of days previous orders can be picked up
    String orderHistoryPageSize = (String) pageContext.getAttribute("orderHistoryPageSize");
    String reorderDays = (String) pageContext.getAttribute("reorderDays");
    int daysAgo = 0;
    if (reorderDays == null || reorderDays.equals("0")) {
        daysAgo = -1000000;
    } else {
        daysAgo = -1 * Integer.parseInt(reorderDays);
    }
    Calendar cutoff = Calendar.getInstance();
    cutoff.add(Calendar.DATE, daysAgo);
    request.setAttribute("cutoffDate", new Date(cutoff.getTimeInMillis()));
%>
<%--No orders placed yet message--%>
<c:if test="${empty historyList or historyList['empty']}">
	<p id="noHistory"><bean:message key="accountHistory.noHistory" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty historyList and !historyList['empty']}">
	<table id="historyTable" class="grid accountTable" summary="List of previous orders.">
		<tr class="listHeading">
			<th><bean:message key="order.orderNumber" bundle="/order"/></th>
			<th><bean:message key="order.completedDate" bundle="/order"/></th>
			<th><bean:message key="order.status" bundle="/order"/></th>
			<th><bean:message key="order.quantity" bundle="/order"/></th>
			<th><bean:message key="order.total" bundle="/order"/></th>
			<c:if test="${settings.map.allowReorders eq 1}">
				<th>&nbsp;</th>
			</c:if>
		</tr>
		<% String startingItem = (String) request.getAttribute("startingItem"); %>
		<logic:iterate name="historyList" id="order" indexId="index" offset="<%= startingItem %>" length="<%= orderHistoryPageSize %>">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<tr id="history-<c:out value="${order.orderID}"/>" class="history <c:out value="${thisClass}"/>">
				<%--Order number, linked to order details--%>
				<td class="orderNumber <c:out value="${thisClass}"/>">
					<logic:greaterThan name="order" property="orderNumber" value="0">
						<html:link href="${secureURL}/OrderDetails.do" paramId="orderNumber" paramName="order" paramProperty="orderNumber" >
							<c:out value="${order.orderNumber}"/>
						</html:link>
					</logic:greaterThan>
				</td>
				<%--Completed date--%>
				<td class="completed <c:out value="${thisClass}"/>">
					<c:if test="${!empty order.completed}">
						<fmt:parseDate value="${order.completed}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%--Status--%>
				<td class="status <c:out value="${thisClass}"/>">
					<c:if test="${!empty order.status}">
						<c:out value="${order.status}"/>
					</c:if>
				</td>
				<%--Quantity--%>
				<td class="quantity <c:out value="${thisClass}"/>">
					<logic:greaterThan name="order" property="quantity" value="0">
						<c:out value="${order.quantity}"/>
					</logic:greaterThan>
				</td>
				<%--Total--%>
				<td class="total <c:out value="${thisClass}"/>">
					<c:if test="${!empty order.total}">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							<c:out value="${order.total}"/>
						</fmt:formatNumber>
						<br/>
					</c:if>
				</td>
				<%--Reorder button--%>
                <c:if test="${settings.map.allowReorders eq 1}">
                    <c:choose>
                        <c:when test="${parsed ge requestScope.cutoffDate}">
                            <td class="reorder <c:out value="${thisClass}"/>">
                                <form name="reorderForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/ReorderCartPickup.do")%>" method="post">
                                    <input type="hidden" name="orderID" value="<c:out  value="${order.orderID}"/>"/>
                                    <span id="accountHistoryButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message  key="accountHistory.reorder" bundle="/customer"/>"/></span>
                                </form>
                            </td>
                        </c:when>
                        <c:otherwise>
                            <td class="filler <c:out value="${thisClass}"/>">&nbsp;</td>
                        </c:otherwise>
                    </c:choose>
                </c:if> 
			</tr>
		</logic:iterate>
	</table>
	<%-- Pagination --%>
	<c:if test="${itemCount > orderHistoryPageSize}">
		<div id="historyPagination" class="accountPagination">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - orderHistoryPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + orderHistoryPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<html:link href="${secureURL}/AccountHistory.do"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<html:link href="${secureURL}/AccountHistory.do?startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<c:if test="${firstRowOfPreviousPage ge 0}">
					&nbsp;|&nbsp;
				</c:if>
				<html:link href="${secureURL}/AccountHistory.do?startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></html:link>
			</c:if>
		</div>
	</c:if>
</c:if>
<!-- End historyList.jsp -->
