<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start register.jsp -->
<div id="registerFormGuts">

	<%--Original request--%>
	<html:hidden name="registerForm" property="originalRequest"/>
	
	<%--Cross-site request forgery token--%>
	<html:hidden name="registerForm" property="csrfToken" value="${sessionScope.csrfToken}"/>

	<%--User name/email field--%>
	<label for="registerUserName">
		<c:if test="${keepUserNameAndEmailInSync eq '1'}">
			<bean:message key="customer.email" bundle="/customer"/>:
		</c:if>
		<c:if test="${keepUserNameAndEmailInSync ne '1'}">
			<bean:message key="customer.userName" bundle="/customer"/>:
		</c:if>
	</label><br />
	<html:text styleId="registerUserName" name="registerForm" property="userName" styleClass="textbox"/><br />
	
	<%--Password field--%>
	<label for="registerDecryptedPassword">
		<bean:message key="customer.password" bundle="/customer"/>:
	</label><br />
	<html:password styleId="registerDecryptedPassword" name="registerForm" property="decryptedPassword" styleClass="textbox"/><br />
	
	<%--Confirm Password field--%>
	<label for="registerConfirmPassword">
		<bean:message key="customer.confirmPassword" bundle="/customer"/>:
	</label><br />
	<html:password styleId="registerConfirmPassword" name="registerForm" property="confirmPassword" styleClass="textbox"/><br />
	
	<%--Emailer add subscriber opt-in prompt--%>
	<%
		java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
		String emailerProcessorImplementer = appComponents.getProperty("emailerProcessorImplementer");
		pageContext.setAttribute("emailerProcessorImplementer", emailerProcessorImplementer);
	%>
	<c:if test="${(settings.map.emailerCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor'))
	 	or (settings.map.constantContactCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor'))
	 	or (settings.map.mailChimpCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor'))}">
		<label for="emailerOptInApproval">
			<c:choose>
				<c:when test="${settings.map.emailerCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor')}">
					<c:out value="${settings.map.emailerCustomerRegistrationOptInPrompt}"/>:
				</c:when>
				<c:when test="${settings.map.constantContactCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor')}">
					<c:out value="${settings.map.constantContactCustomerRegistrationOptInPrompt}"/>:
				</c:when>
                <c:when test="${settings.map.mailChimpCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor')}">
                    <c:out value="${settings.map.mailChimpCustomerRegistrationOptInPrompt}"/>:
                </c:when>
			</c:choose>
		</label>
		<br/>
		<html:radio name="registerForm" property="emailerOptInApproval" styleId="emailerOptInApprovalYes" value="Yes"/>
		 <label for="emailerOptInApprovalYes"><bean:message key="general.yesLabel"/></label>
		<html:radio name="registerForm" property="emailerOptInApproval" styleId="emailerOptInApprovalNo" value="No"/>
		 <label for="emailerOptInApprovalNo"><bean:message key="general.noLabel"/></label>
		 <br/><br/>
	</c:if>
	
	<%--Text from image field--%>
	<c:if test="${settings.map.useImageVerificationWithRegistrations eq '1'}">
		<label for="textFromImage">
			<bean:message key="security.textFromImage" />:
		</label><br />
		<input type="text" id="textFromImage" name="textFromImage" class="textbox"/><br />
		<img class="challengeImage" alt="Challenge Image" src="<c:out value="${secureURL}"/>/Jcaptcha.do"/><br />
		<bean:message key="security.textFromImageInstructions" /><br /><br />
	</c:if>
	
	<%--Submit button--%>
	<span id="registerButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="customer.registerButton" bundle="/customer"/>"/></span>

</div>
<!-- End register.jsp -->
