<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start checkoutAddressesLayout.jsp -->
<c:if test="${empty onePageCheckout}">
	<h1><bean:message key="checkoutAddresses.headline" bundle="/order" /></h1>
</c:if>
<p class="instructions"><bean:message key="checkoutAddresses.instructions" bundle="/order" /></p>
<div class="onePageCheckout-addresses-errors"></div>

<%--Checkout coupon form--%>
<c:if test="${settings.map.applyDiscounts eq 1 && settings.map.showCouponFormAtCheckout eq 1}">
	<form action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutCoupon.do")%>" method="post">
		<tiles:insert attribute="couponFormGuts" />
	</form>
</c:if>

<%--Checkout addresses form--%>
<c:set var="showSIMAPIBillToThisAddress" scope="request" value="${requestScope.useCIMAPI}"/>
<c:set var="showBillingSection" value="${true}"/>
<c:set var="shipAddressClass" value="sideBySide"/>
<c:if test="${requestScope.useCIM and fn:length(fn:trim(settings.map.billingPrompt)) eq 0}">
	<c:set var="showBillingSection" value="${false}"/>
	<c:set var="shipAddressClass" value=""/>
</c:if>
<form id="addressesForm" class="centeredForm" name="addressesForm" method="post" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutAddresses.do")%>">
	<input type="hidden" name="submittedForm" value="checkoutAddresses" />
	<c:if var="displayDontSaveCheckbox" scope="request" test="${!empty sessionScope.user.customer}"/>
	<c:choose>
		<c:when test="${settings.map.allowAddressBook eq '1' and !empty user.customer and !empty user.customer.customerAddressCollection}">
			<c:set var="showShipToThisAddress" scope="request" value="${true}"/>
			<c:if test="${showBillingSection}">
				<fieldset id="billingAddressFields" class="sideBySide">
					<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
					<c:choose>
						<c:when test="${requestScope.useCIM}">
							<div id="paymentProfilesDisplay">&nbsp;</div>
							<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
							<c:choose>
								<c:when test="${displayDontSaveCheckbox}">
									<input class="checkbox" type="checkbox" id="updateCustomer" name="updateCustomer" value="false" />&nbsp;<label for="updateCustomer" class="plain"><bean:message key="checkoutAddresses.doNotUpdate" bundle="/order" /></label>
									<hr class="formSeparator" />
								</c:when>
								<c:otherwise>
									<hr id="billingNoCheckBox" class="formSeparator"/>
								</c:otherwise>
							</c:choose>
							<div id="billToThisAddressArea">
								<ssc:insert page="/WEB-INF/layouts/default-xhtml/order/billingFormGuts.jsp"/>
							</div>
						</c:when>
						<c:otherwise>
							<div id="addressBookBillingDisplay">&nbsp;</div>
							<div id="addressBookBillingCheckoutNew">	
								<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
								<hr id="billingNoCheckBox" class="formSeparator"/>
								<ssc:insert page="/WEB-INF/layouts/default-xhtml/order/billingFormGuts.jsp"/>
								<c:if test="${showShipToThisAddress}">
									<input type="hidden" id="addToBillingAddressBookCheckbox" name="addToBillingAddressBook" value="1"/>
								</c:if>
							</div>
						</c:otherwise>
					</c:choose>
				</fieldset>
			</c:if>
			<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
			<fieldset id="deliveryAddressFields" class="<c:out value="${shipAddressClass}"/>">
				<legend><bean:message key="addressBook.checkoutDeliveryHeadline" bundle="/customer"/></legend>
				<div id="addressBookDisplay">&nbsp;</div>
				<div id="addressBookCheckoutNew">
					<c:if test="${showBillingSection}">
						<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
						<hr class="formSeparator" />
					</c:if>
					<ssc:insert page="/WEB-INF/layouts/default-xhtml/order/deliveryFormGuts.jsp"/>
					<c:if test="${showShipToThisAddress}">
						<label for="addToAddressBookCheckbox">&nbsp;</label>
						<input type="hidden" id="addToAddressBookCheckbox" name="addToAddressBook" value="1"/>
					</c:if>
				</div>	
			</fieldset>
		</c:when>
		<c:otherwise>
			<c:if test="${settings.map.allowAddressBook eq '1'}">
				<input type="hidden" name="customerAddressID" value="" />
				<input type="hidden" name="customerBillingAddressID" value="" />
				<input type="hidden" name="addToAddressBook" value="1" />
				<input type="hidden" name="addToBillingAddressBook" value="1" />
			</c:if>
			<c:choose>
				<c:when test="${showBillingSection}">
					<fieldset id="billingAddressFields" class="sideBySide">
						<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
						<c:if test="${useCIM}"><div id="paymentProfilesDisplay">&nbsp;</div></c:if>
						<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
						<c:choose>
							<c:when test="${displayDontSaveCheckbox}">
								<input class="checkbox" type="checkbox" id="updateCustomer" name="updateCustomer" value="false" />&nbsp;<label for="updateCustomer" class="plain"><bean:message key="checkoutAddresses.doNotUpdate" bundle="/order" /></label>
								<hr class="formSeparator" />
							</c:when>
							<c:otherwise>
								<hr id="billingNoCheckBox" class="formSeparator"/>
							</c:otherwise>
						</c:choose>
						<div id="billToThisAddressArea">
							<ssc:insert page="/WEB-INF/layouts/default-xhtml/order/billingFormGuts.jsp"/>
						</div>
					</fieldset>
				</c:when>
				<c:otherwise>
					<%-- Not showing billing form --%>
				</c:otherwise>
			</c:choose>
			<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
			<fieldset id="deliveryAddressFields" class="<c:out value="${shipAddressClass}"/>">
				<legend><bean:message key="orderForm.deliveryHeadline" bundle="/order"/></legend>
				<c:if test="${showBillingSection}">
					<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
					<hr class="formSeparator" />
				</c:if>
				<ssc:insert page="/WEB-INF/layouts/default-xhtml/order/deliveryFormGuts.jsp"/>
			</fieldset>
		</c:otherwise>
	</c:choose>
	
	<%--Emailer add subscriber opt-in prompt--%>
	<ssc:insert page="/WEB-INF/layouts/default/order/emailerOptInPrompt.jsp"/>

	<hr class="clearSeparator" />
	<div id="checkoutAddressesButton" class="checkoutButtonContainer">
		<input type="submit" class="button" value="<bean:message key="checkoutAddresses.button" bundle="/order"/>" />
	</div>

</form>

<c:if test="${settings.map.allowAddressBook eq '1'}">
	<tiles:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
</c:if>
<!-- End checkoutAddressesLayout.jsp -->
