<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory" %>
<!-- Start product.jsp -->
<% 
	if (request.getAttribute("cartDiscountProcessor") == null) {
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		request.setAttribute("cartDiscountProcessor", bof.createObject("cartDiscountProcessorImplementer"));
	}
%>
<tiles:insert attribute="inventoryDiscountSettings"/>
<div id="product-<c:out value="${product.code}"/>" class="product">

	<%-- Product header --%>
	<c:if test="${!empty product.header}">
		<span class="productHeader">
			<c:out value="${product.header}" escapeXml="false"/>
		</span>
	</c:if>
	<%-- Product name --%>
	<h1 class="name pageTitle"><c:out value="${product.name}" escapeXml="false"/></h1>
	<%-- Product image --%>
	<c:if test="${!empty product.mediumImage}">
		<div class="floater image">
			<c:choose>
				<c:when test="${!empty product.largeImage}">
					<a onclick="window.open('<c:out value="${product.largeImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${product.largeImage}"/>">
					<img src="<c:out value="${product.mediumImage}"/>"<c:if test="${!empty product.name}"> title="<c:out value="${product.name}"/>" alt="<c:out value="${product.name}"/>"</c:if>/>
					</a>
				</c:when>
				<c:otherwise>
					<img src="<c:out value="${product.mediumImage}"/>"<c:if test="${!empty product.name}"> title="<c:out value="${product.name}"/>" alt="<c:out value="${product.name}"/>"</c:if>/>
				</c:otherwise>
			</c:choose>
			<%-- Additional images --%>
			<c:if test="${!empty productSettings and displayAdditionalImages}">
				<div id="additionalImages">
					<span class="label"><bean:message key="product.additionalImages" bundle="/product"/></span>
					<br/>
					<tiles:insert attribute="additionalImages"/>
				</div>
				<br/>
			</c:if>
		</div>
	</c:if>
	<%-- Product details --%>
	<div id="productDetails">
		<%-- Product code --%>
		<div class="code">
			<span class="label"><bean:message key="product.code" bundle="/product"/>:</span> <c:out value="${product.code}"/>
		</div>
		<%-- Product price --%>
		<c:if test="${!empty product.unitPrice and product.unitPrice gt 0}">
			<div class="price">
				<span class="label"><bean:message key="product.unitPrice" bundle="/product"/>:</span> 
				<c:choose>
					<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
						<strike>
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
						</strike>
						&nbsp;
						<span class="productSalePrice">
							<c:choose>
								<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
									<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
									<bean:message key="product.discountItemsForFree" bundle="/product"/>
								</c:when>
								<c:otherwise>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
								</c:otherwise>
							</c:choose>
						</span>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
					</c:otherwise>
				</c:choose>
			</div>
		</c:if>
		<%-- Product alt price --%>
		<c:if test="${!empty product.altPrice and product.altPrice gt 0}">
			<div class="altPrice">
				<span class="label"><bean:message key="product.altPrice" bundle="/product"/>:</span>
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.altPrice}"/>
			</div>
		</c:if>
		<%-- Product discount --%>
		<c:if test="${displayProductDiscount}">
			<div class="discount">
				<span class="label"><bean:message key="product.discount" bundle="/product"/>:</span>
				<c:choose>
					<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
						<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
						<bean:message key="product.discountItemsForFree" bundle="/product"/>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
						<bean:message key="product.discountAmountOff" bundle="/product"/>
					</c:otherwise>
				</c:choose>
				<%-- Display the discount's expiration date--%>
				<c:if test="${!empty productDiscountExpirationDate}">
					<fmt:parseDate value="${productDiscountExpirationDate}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
					<% 
						java.util.Date now = new java.util.Date();
						java.util.Date expDate = (java.util.Date) pageContext.getAttribute("parsed");
						pageContext.setAttribute("daysLeft", Long.toString((expDate.getTime() - now.getTime()) / 86400000));
						pageContext.setAttribute("hoursLeft", Long.toString(((expDate.getTime() - now.getTime()) % 86400000) / 3600000));
						pageContext.setAttribute("minutesLeft", Long.toString((((expDate.getTime() - now.getTime()) % 86400000) % 3600000) / 60000));
					%>
					<c:if var="displayComma" test="${false}"/>
					&#8212; <bean:message key="product.expiresIn" bundle="/product"/>
					<c:if test="${daysLeft > 0}"><c:if var="displayComma" test="${true}"/><fmt:formatNumber maxFractionDigits="0" value="${daysLeft}"/> <c:choose><c:when test="${daysLeft > 1}"><bean:message key="product.days" bundle="/product"/></c:when><c:otherwise><bean:message key="product.day" bundle="/product"/></c:otherwise></c:choose></c:if><c:if test="${hoursLeft > 0}"><c:if test="${displayComma}">, </c:if><c:if var="displayComma" test="${true}"/><fmt:formatNumber maxFractionDigits="0" value="${hoursLeft}"/> <c:choose><c:when test="${hoursLeft > 1}"><bean:message key="product.hours" bundle="/product"/></c:when><c:otherwise><bean:message key="product.hour" bundle="/product"/></c:otherwise></c:choose></c:if><c:if test="${minutesLeft > 0}"><c:if test="${displayComma}">, </c:if><c:if var="displayComma" test="${true}"/><fmt:formatNumber maxFractionDigits="0" value="${minutesLeft}"/> <c:choose><c:when test="${minutesLeft > 1}"><bean:message key="product.minutes" bundle="/product"/></c:when><c:otherwise><bean:message key="product.minute" bundle="/product"/></c:otherwise></c:choose></c:if>
				</c:if>
			</div>
		</c:if>
		<%-- Product inventory --%>
		<c:if test="${trackProduct}">
			<div class="inventory">
				<span class="label"><bean:message key="product.inventoryLevel" bundle="/product"/>:</span>
				<c:out value="${product.skuMap[prodSkuKey].inventoryLevel}"/>
			</div>
			<c:if test="${!empty product.skuMap[prodSkuKey].skuMessage}">
				<div class="inventoryMessage">
					<c:out value="${product.skuMap[prodSkuKey].skuMessage}"/>
				</div>
			</c:if>
		</c:if>
		
		<%-- Average customer review --%>
		<c:if test="${countApprovedReviews > 0 and settings.map.enableProductReviews eq '1'}">
			<div id="productReviewStars">
				<c:forEach var="i" begin="1" end="${wholeStars}" step="1">
					<img src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
				</c:forEach>
				<c:if test="${halfStars > 0}">
					<img src="${pageContext.request.contextPath}/images/reviewHalfStar.png" alt="half-star"/>
				</c:if>
				(<a href="#reviews"><c:out value="${countApprovedReviews}"/> <c:choose><c:when test="${countApprovedReviews == 1}"><bean:message key="product.productReviewLower" bundle="/product"/></c:when><c:otherwise><bean:message key="product.productReviewsLower" bundle="/product"/></c:otherwise></c:choose></a>)
			</div>
		</c:if>
		
		<%-- View more in primary category --%>
		<c:if test="${!empty product.primaryCategory and product.primaryCategory.isActive}">
			<div class="viewMore">
				<bean:message key="product.viewMore" bundle="/product"/>
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${product.primaryCategory.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
				&nbsp;
				<html:link href="${customerURL}/${linkAction}?code=${product.primaryCategory.code}" >
					<c:out value="${product.primaryCategory.name}" escapeXml="false"/>
				</html:link>
			</div>
		</c:if>
		<%-- View more from manufacturer --%>
		<c:if test="${!empty product.manufacturer}">
			<div class="viewMore">
				<bean:message key="product.viewMoreFrom" bundle="/product"/>
				&nbsp;
				<html:link href="${customerURL}/Manufacturer.do?code=${product.manufacturer.code}" >
					<c:out value="${product.manufacturer.name}" escapeXml="false"/>
				</html:link>
			</div>
		</c:if>
	</div>
	<br />
	
	<%-- Product Description --%>
	<c:if test="${!empty product.description}">
		<div class="description">
			<span class="label"><bean:message key="product.description" bundle="/product"/></span>
			<br/>
			<c:out value="${product.description}" escapeXml="false"/>
		</div>
		<br/>
	</c:if>
	<%-- Product Discount chart --%>
	<c:if test="${displaySkuDiscounts}">
		<div id="discountChart">
			<span class="label"><bean:message key="product.discounts" bundle="/product"/></span>
			<br/>
			<tiles:insert attribute="discounts"/>
		</div>
		<br/>
	</c:if>
	<%-- Promotions --%>
	<c:if test="${displayPromotions}">
		<div id="promotions">
			<span class="label"><bean:message key="product.promotions" bundle="/product"/></span>
			<br/>
			<tiles:insert attribute="promotions"/>
		</div>
		<br/>
	</c:if>
	<%-- Product Inventory chart --%>
	<c:if test="${trackOtherSKUs}">
		<div id="inventoryChart">
			<span class="label"><bean:message key="product.inventory" bundle="/product"/></span>
			<br/>
			<tiles:insert attribute="inventory"/>
		</div>
		<br/>
	</c:if>
	<%-- Wish List --%>
	<c:if test="${settings.map.allowCustomerWishLists eq 1}">
		<c:if test="${empty product.productSettings.allowCustomerWishLists.value or product.productSettings.allowCustomerWishLists.value ne 0}">
			<div id="wishList">
				<span class="label"><bean:message key="wishList.productLabel" bundle="/customer"/></span>
				<br/>
				<tiles:insert attribute="wishListProductAddForm"/>
			</div>
			<br/>
		</c:if>
	</c:if>
	<%-- Attributes, options, and the add to cart form. --%>
	<div id="addToCartForm">
		<form action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartAdd.do")%>" method="post">
			<c:if var="displayMatrix" scope="request" test="${!empty requestScope.matrix and productSettings.displayAsMatrix.value eq 1}"/>
			<tiles:insert attribute="attributesAndOptions"/>
			<br/>
			<%-- Attribute matrix and add to cart button. --%>
			<c:if test="${displayMatrix}">
				<div id="attributeMatrix">
					<span class="label"><bean:message key="product.selectItems" bundle="/product"/></span>
					<br/>
					<tiles:insert attribute="attributesAndOptionsMatrix"/>
					<br/>
					<c:if test="${! denyPurchase}">
						<span id="addToCartButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="product.addToCart" bundle="/product"/>" /></span>
					</c:if>
				</div>
				<br/>
			</c:if>
			<%-- Add to cart button and quantity input for non-matrix products. --%>
			<c:if test="${! denyPurchase and !displayMatrix}">
				<div id="quantity">
					<input type="hidden" name="orderProductCodes" value="<c:out value="${product.code}"/>"/>
					<label for="orderProductQuantities" class="label"><bean:message key="product.quantity" bundle="/product"/>:</label>
					<c:set var="quantityValue" value="1"/>
					<c:if test="${!empty cartAddForm and !empty cartAddForm.orderProductQuantities and !empty cartAddForm.orderProductQuantities[0]}">
						<c:set var="quantityValue" value="${cartAddForm.orderProductQuantities[0]}"/>
					</c:if>
					<input type="text" id="orderProductQuantities" name="orderProductQuantities" value="<c:out value="${quantityValue}"/>" size="2"/>
				</div>
				<br/>

				<div id="addToCart" class="buttonWrap">
					<input type="submit" name="submit" class="button" value="<bean:message key="product.addToCart" bundle="/product"/>"/>
				</div>
				<br/>
			</c:if>
		</form>
	</div>
	
	<%-- Product Facets --%>
	<c:if test="${!empty productSettings}">
		<tiles:insert page="/WEB-INF/layouts/default/product/productFacets.jsp"/>
	</c:if>
	
	<%-- Product Reviews --%>
	<c:if test="${settings.map.enableProductReviews eq '1'}">
		<div id="productReviews">
			<a name="reviews"></a>
			<br/>
			<br/>
			<hr/>
			<span class="label"><bean:message key="product.productReviews" bundle="/product"/></span>
			<br/>
			<tiles:insert attribute="productReviews"/>
		</div>
	</c:if>
	
	<%-- Related products --%>
	<c:if test="${!empty product.relatedProducts and !product.relatedProducts['empty']}">
		<c:set var="productListCollection" value="${product.relatedProducts}" scope="request"/>
		<c:set var="relatedProductList" value="true" scope="request"/>
		<c:set var="currentProduct" value="${product}"/>
		<br/>
		<br/>
		<hr/>
		<span class="label"><bean:message key="product.relatedProducts" bundle="/product"/></span>
		<br/>
		<c:choose>
			<c:when test="${settings.map.productListDisplayFormat eq 'rows'}">
				<tiles:insert attribute="relatedProductListRows"/>
			</c:when>
			<c:otherwise>
				<tiles:insert attribute="relatedProductList"/>
			</c:otherwise>
		</c:choose>
		<c:set var="relatedProductList" value="false" scope="request"/>
		<c:set var="product" value="${currentProduct}" scope="request"/>
	</c:if>
	<%-- Product footer --%>
	<c:if test="${!empty product.footer}">
		<span class="productFooter">
			<c:out value="${product.footer}" escapeXml="false"/>
		</span>
	</c:if>
</div>
<!-- End product.jsp -->
