package com.softslate.commerce.administrator.administrator;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * @author David Tobey
 */
public class AdministratorChangePasswordForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3258413911132026933L;

	static Log log = LogFactory.getLog(AdministratorChangePasswordForm.class);

	private String userName = null;

	private String password = null;

	private String newDecryptedPassword = null;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getNewDecryptedPassword() {
		return newDecryptedPassword;
	}

	public void setNewDecryptedPassword(String newDecryptedPassword) {
		this.newDecryptedPassword = newDecryptedPassword;
	}

	private String ipAddress = null;

	public String getIpAddress() {
		return ipAddress;
	}

	public void setIpAddress(String ipAddress) {
		this.ipAddress = ipAddress;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		setIpAddress(getRequest().getRemoteAddr());
		if (getPassword() == null || getPassword().trim().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Current Password"));
		}
		if (getNewDecryptedPassword() == null || getNewDecryptedPassword().trim().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "New Password"));
		} else {
			setPassword(getPassword().trim());
			setNewDecryptedPassword(getNewDecryptedPassword().trim());
			if (getPassword().equals(getNewDecryptedPassword())) {
				getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.passwordsAreTheSame"));
			}
			int minimumPasswordLength = Integer.parseInt(getSettings().getValue("minimumAdministratorPasswordLength"));
			if (getNewDecryptedPassword().length() < minimumPasswordLength) {
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.passwordTooShort", minimumPasswordLength));
			}
			boolean passwordRequiresLetterAndNumber = ("1").equals(getSettings().getValue(
					"passwordRequiresLetterAndNumber"));
			if (passwordRequiresLetterAndNumber
					&& (!getNewDecryptedPassword().matches(".*[a-zA-Z].*") || !getNewDecryptedPassword().matches(
							".*[0-9].*"))) {
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.passwordDoesNotHaveLettersAndNumbers"));
			}
		}
		return getErrors();
	}
}
