package com.softslate.commerce.administrator.administrator;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.administrator.AdministratorProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/AdministratorEdit.do". Processes a request to edit a record
 * within the system.
 * 
 * @author David Tobey
 * 
 */
public class AdministratorEditAction extends BaseAction {

	static Log log = LogFactory.getLog(AdministratorEditAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		AdministratorAddEditForm baseForm = (AdministratorAddEditForm) form;

		// Set the decrypted password
		Map parameters = PropertyUtils.describe(form);
		if (baseForm.getDecryptedPassword() == null
				|| baseForm.getDecryptedPassword().equals("")
				&& baseForm.getSettings().getValue("administratorEncryptionType").equals(
						"oneWay")) {
			parameters.put("decryptedPassword", "[oneWayEncryption]");
		}

		// Edit the record
		AdministratorProcessor processor = (AdministratorProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"administratorProcessorImplementer");
		processor.editAdministrator(parameters);

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordSaved"));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());

		return mapping.findForward("success");
	}
}
