package com.softslate.commerce.administrator.order;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.order.OrderItemAttribute;

/**
 * Struts form class corresponding to requests to
 * "/administrator/OrderItemAttribute.do". Provides properties to control
 * searching, viewing, editing, and deleting records in the
 * <code>sscOrderItemAttribute</code> table.
 * 
 * @author David Tobey
 * 
 */
public class OrderItemAttributeForm extends BaseSerializableForm {
    private static final long serialVersionUID = 3256441387271598900L;

    static Log log = LogFactory.getLog(OrderItemAttributeForm.class);

    private String idField = "orderItemAttributeID";

    private String parentIDField = "orderItemID";

    private String grandparentIDField = "orderDeliveryID";

    private String greatGrandparentIDField = "orderID";

    private String nameField = "attributeCode";

    private String entityProperty = "orderItemAttribute";

    private Class entity = OrderItemAttribute.class;

    private String[] searchableIntFields = { "orderItemAttributeID" };

    private String[] searchableFields = { "attributeValue", "attributeCode",
            "attributeName", "optionCode", "optionName" };

    private String[] fields = { "orderItemAttributeID", "total", "weight",
            "attributeValue", "attributeID", "attributeCode", "attributeName",
            "attributeUnitCost", "attributeUnitPrice", "attributeAltPrice",
            "attributeWeight", "optionID", "optionCode", "optionName",
            "optionUnitCost", "optionUnitPrice", "optionAltPrice",
            "optionWeight" };

    private String[] fieldLables = { "Item Attr ID", "Total", "Weight",
            "Value", "Attr ID", "Attr Code", "Attr Name", "Attr U Cost",
            "Attr U Price", "Attr Alt Price", "Attr U Weight", "Opt ID",
            "Opt Code", "Opt Name", "Opt U Cost", "Opt U Price",
            "Opt Alt Price", "Opt U Weight" };

    private String[] displayFields = { "total", "weight", "attributeValue",
            "attributeCode", "attributeName", "optionCode", "optionName" };

    private String sortByString = "attributeCode";

    private String formAction = "/OrderItemAttribute.do";

    private String addFormAction = "/OrderItemAttributeAddForm.do";

    private String editFormAction = "/OrderItemAttributeEditForm.do";

    private String editDeleteFormAction = "/OrderItemAttributeEditDelete.do";

    private String orderItemID = "";

    private String orderDeliveryID = "";

    private String orderID = "";

    private String[] orderItemAttributeID = null;

    private String[] total = null;

    private String[] weight = null;

    private String[] attributeValue = null;

    private String[] attributeID = null;

    private String[] attributeCode = null;

    private String[] attributeName = null;

    private String[] attributeUnitCost = null;

    private String[] attributeUnitPrice = null;

    private String[] attributeAltPrice = null;

    private String[] attributeWeight = null;

    private String[] optionID = null;

    private String[] optionCode = null;

    private String[] optionName = null;

    private String[] optionUnitCost = null;

    private String[] optionUnitPrice = null;

    private String[] optionAltPrice = null;

    private String[] optionWeight = null;

    public String[] getAttributeAltPrice() {
        return attributeAltPrice;
    }

    public void setAttributeAltPrice(String[] attributeAltPrice) {
        this.attributeAltPrice = attributeAltPrice;
    }

    public String[] getAttributeCode() {
        return attributeCode;
    }

    public void setAttributeCode(String[] attributeCode) {
        this.attributeCode = attributeCode;
    }

    public String[] getAttributeID() {
        return attributeID;
    }

    public void setAttributeID(String[] attributeID) {
        this.attributeID = attributeID;
    }

    public String[] getAttributeName() {
        return attributeName;
    }

    public void setAttributeName(String[] attributeName) {
        this.attributeName = attributeName;
    }

    public String[] getAttributeUnitCost() {
        return attributeUnitCost;
    }

    public void setAttributeUnitCost(String[] attributeUnitCost) {
        this.attributeUnitCost = attributeUnitCost;
    }

    public String[] getAttributeUnitPrice() {
        return attributeUnitPrice;
    }

    public void setAttributeUnitPrice(String[] attributeUnitPrice) {
        this.attributeUnitPrice = attributeUnitPrice;
    }

    public String[] getAttributeValue() {
        return attributeValue;
    }

    public void setAttributeValue(String[] attributeValue) {
        this.attributeValue = attributeValue;
    }

    public String[] getAttributeWeight() {
        return attributeWeight;
    }

    public void setAttributeWeight(String[] attributeWeight) {
        this.attributeWeight = attributeWeight;
    }

    public String getGrandparentIDField() {
        return grandparentIDField;
    }

    public void setGrandparentIDField(String grandparentIDField) {
        this.grandparentIDField = grandparentIDField;
    }

    public String getGreatGrandparentIDField() {
        return greatGrandparentIDField;
    }

    public void setGreatGrandparentIDField(String greatGrandparentIDField) {
        this.greatGrandparentIDField = greatGrandparentIDField;
    }

    public String[] getOptionAltPrice() {
        return optionAltPrice;
    }

    public void setOptionAltPrice(String[] optionAltPrice) {
        this.optionAltPrice = optionAltPrice;
    }

    public String[] getOptionCode() {
        return optionCode;
    }

    public void setOptionCode(String[] optionCode) {
        this.optionCode = optionCode;
    }

    public String[] getOptionID() {
        return optionID;
    }

    public void setOptionID(String[] optionID) {
        this.optionID = optionID;
    }

    public String[] getOptionName() {
        return optionName;
    }

    public void setOptionName(String[] optionName) {
        this.optionName = optionName;
    }

    public String[] getOptionUnitCost() {
        return optionUnitCost;
    }

    public void setOptionUnitCost(String[] optionUnitCost) {
        this.optionUnitCost = optionUnitCost;
    }

    public String[] getOptionUnitPrice() {
        return optionUnitPrice;
    }

    public void setOptionUnitPrice(String[] optionUnitPrice) {
        this.optionUnitPrice = optionUnitPrice;
    }

    public String[] getOptionWeight() {
        return optionWeight;
    }

    public void setOptionWeight(String[] optionWeight) {
        this.optionWeight = optionWeight;
    }

    public String getOrderDeliveryID() {
        return orderDeliveryID;
    }

    public void setOrderDeliveryID(String orderDeliveryID) {
        this.orderDeliveryID = orderDeliveryID;
    }

    public String getOrderID() {
        return orderID;
    }

    public void setOrderID(String orderID) {
        this.orderID = orderID;
    }

    public String[] getTotal() {
        return total;
    }

    public void setTotal(String[] total) {
        this.total = total;
    }

    public String[] getWeight() {
        return weight;
    }

    public void setWeight(String[] weight) {
        this.weight = weight;
    }

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String getParentIDField() {
        return parentIDField;
    }

    public void setParentIDField(String parentIDField) {
        this.parentIDField = parentIDField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

    public String getSortByString() {
        return sortByString;
    }

    public void setSortByString(String sortByString) {
        this.sortByString = sortByString;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }

    public String getOrderItemID() {
        return orderItemID;
    }

    public void setOrderItemID(String orderItemID) {
        this.orderItemID = orderItemID;
    }

    public String[] getOrderItemAttributeID() {
        return orderItemAttributeID;
    }

    public void setOrderItemAttributeID(String[] orderItemAttributeID) {
        this.orderItemAttributeID = orderItemAttributeID;
    }

    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
        if (getOrderItemAttributeID() != null) {
            for (int i = 0; i < getOrderItemAttributeID().length; i++) {
                if (Arrays.asList(getDisplayFields())
                        .contains("attributeValue")) {
                    if (getAttributeValue().length < i + 1
                            || getAttributeValue()[i] == null
                            || getAttributeValue()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Attribute Value"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("attributeCode")) {
                    if (getAttributeCode().length < i + 1
                            || getAttributeCode()[i] == null
                            || getAttributeCode()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Attribute Code"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("attributeID")) {
                    if (getAttributeID().length < i + 1
                            || getAttributeID()[i] == null
                            || getAttributeID()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Attribute ID"));
                    }
                }
            }
        }
        return errors;
    }
}
