package com.softslate.commerce.administrator.order;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.order.State;

/**
 * Struts form class corresponding to requests to "/administrator/State.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscState</code> table.
 * 
 * @author David Tobey
 * 
 */
public class StateForm extends BaseSerializableForm {
    private static final long serialVersionUID = 3258688818985906992L;

    static Log log = LogFactory.getLog(StateForm.class);

    private String idField = "stateID";

    private String nameField = "name";

    private String entityProperty = "state";

    private Class entity = State.class;

    private String[] searchableIntFields = { "stateID" };

    private String[] searchableFields = { "code", "name" };

    private String[] fields = { "stateID", "countryID", "name", "code",
            "stateOrder", "isActive" };

    private String[] fieldLables = { "State ID", "Country", "Name", "Code",
            "State Order", "Active" };

    private String[] displayFields = { "countryID", "name", "code",
            "stateOrder", "isActive" };

    private String sortByString = "countryID,stateOrder";

    private String sortAscOrDesc = "ASC";

    private String formAction = "/State.do";

    private String addFormAction = "/StateAddForm.do";

    private String editFormAction = "/StateEditForm.do";

    private String editDeleteFormAction = "/StateEditDelete.do";

    private String[] stateID = null;

    private String[] countryID = null;

    private String[] code = null;

    private String[] name = null;

    private String[] stateOrder = null;

    private String[] isActive = null;

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getCode() {
        return code;
    }

    public void setCode(String[] code) {
        this.code = code;
    }

    public String[] getCountryID() {
        return countryID;
    }

    public void setCountryID(String[] countryID) {
        this.countryID = countryID;
    }

    public String[] getIsActive() {
        return isActive;
    }

    public void setIsActive(String[] isActive) {
        this.isActive = isActive;
    }

    public String[] getName() {
        return name;
    }

    public void setName(String[] name) {
        this.name = name;
    }

    public String getSortAscOrDesc() {
        return sortAscOrDesc;
    }

    public void setSortAscOrDesc(String sortAscOrDesc) {
        this.sortAscOrDesc = sortAscOrDesc;
    }

    public String[] getStateOrder() {
        return stateOrder;
    }

    public void setStateOrder(String[] stateOrder) {
        this.stateOrder = stateOrder;
    }

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

    public String getSortByString() {
        return sortByString;
    }

    public void setSortByString(String sortByString) {
        this.sortByString = sortByString;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }

    public String[] getStateID() {
        return stateID;
    }

    public void setStateID(String[] stateID) {
        this.stateID = stateID;
    }

    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
        if (getStateID() != null) {
            for (int i = 0; i < getStateID().length; i++) {
                if (Arrays.asList(getDisplayFields()).contains("countryID")) {
                    if (getCountryID().length < i + 1
                            || getCountryID()[i] == null
                            || getCountryID()[i].equals("")) {
                        errors
                                .add(ActionMessages.GLOBAL_MESSAGE,
                                        new ActionMessage("errors.required",
                                                "Country"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("code")) {
                    if (getCode().length < i + 1 || getCode()[i] == null
                            || getCode()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required", "Code"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("name")) {
                    if (getName().length < i + 1 || getName()[i] == null
                            || getName()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required", "Name"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("stateOrder")) {
                    if (getStateOrder().length < i + 1
                            || getStateOrder()[i] == null
                            || getStateOrder()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "State Order"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("isActive")) {
                    if (getIsActive().length < i + 1
                            || getIsActive()[i] == null
                            || getIsActive()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Is Active"));
                    }
                }
            }
        }
        return errors;
    }
}
