package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormPayflowLink extends BaseDynaForm {

	private static final long serialVersionUID = 3256720671731168566L;

	static Log log = LogFactory.getLog(SettingsFormPayflowLink.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("payflowLinkUserName") == null
				|| request.getParameter("payflowLinkUserName").length() == 0) {
			String message = getMessage("payment", "payflowLink.userName", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowLinkPartner") == null
				|| request.getParameter("payflowLinkPartner").length() == 0) {
			String message = getMessage("payment", "payflowLink.partner", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowLinkType") == null
				|| request.getParameter("payflowLinkType").length() == 0) {
			String message = getMessage("payment", "payflowLink.type", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (request.getParameter("payflowLinkURL") == null
				|| request.getParameter("payflowLinkURL").length() == 0) {
			String message = getMessage("payment", "payflowLink.url", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		return getErrors();
	}

}
