package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/AttributeAddForm.do", "/administrator/AttributeEditForm.do",
 * "/administrator/AttributeAdd.do", and "/administrator/AttributeEdit.do".
 * Provides properties corresponding to the fields for a single attribute
 * record.
 * 
 * @author David Tobey
 * 
 */
public class AttributeAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3257845463570003511L;

	static Log log = LogFactory.getLog(AttributeAddEditForm.class);

	private String attributeID = null;

	private String productID = null;

	private String parentName = null;

	private String attributeCode = null;

	private String attributeName = null;

	private String attributeDescription = null;

	private String attributeIsActive = "true";

	private String attributeType = null;

	private String attributeUnitCost = "0.00";

	private String attributeUnitPrice = "0.00";

	private String attributeAltPrice = "0.00";

	private String attributeWeight = "0.00";

	private String attributeSmallImage = null;

	private String attributeLargeImage = null;

	private String defaultOptionID = null;

	private String attributeIsRequired = "true";

	private String attributeOrder = "0";

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getAttributeID() {
		return attributeID;
	}

	public void setAttributeID(String attributeID) {
		this.attributeID = attributeID;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getAttributeAltPrice() {
		return attributeAltPrice;
	}

	public void setAttributeAltPrice(String attributeAltPrice) {
		this.attributeAltPrice = attributeAltPrice;
	}

	public String getAttributeCode() {
		return attributeCode;
	}

	public void setAttributeCode(String attributeCode) {
		this.attributeCode = attributeCode;
	}

	public String getAttributeDescription() {
		return attributeDescription;
	}

	public void setAttributeDescription(String attributeDescription) {
		this.attributeDescription = attributeDescription;
	}

	public String getAttributeIsActive() {
		return attributeIsActive;
	}

	public void setAttributeIsActive(String attributeIsActive) {
		this.attributeIsActive = attributeIsActive;
	}

	public String getAttributeIsRequired() {
		return attributeIsRequired;
	}

	public void setAttributeIsRequired(String attributeIsRequired) {
		this.attributeIsRequired = attributeIsRequired;
	}

	public String getAttributeLargeImage() {
		return attributeLargeImage;
	}

	public void setAttributeLargeImage(String attributeLargeImage) {
		this.attributeLargeImage = attributeLargeImage;
	}

	public String getAttributeName() {
		return attributeName;
	}

	public void setAttributeName(String attributeName) {
		this.attributeName = attributeName;
	}

	public String getAttributeOrder() {
		return attributeOrder;
	}

	public void setAttributeOrder(String attributeOrder) {
		this.attributeOrder = attributeOrder;
	}

	public String getAttributeSmallImage() {
		return attributeSmallImage;
	}

	public void setAttributeSmallImage(String attributeSmallImage) {
		this.attributeSmallImage = attributeSmallImage;
	}

	public String getAttributeType() {
		return attributeType;
	}

	public void setAttributeType(String attributeType) {
		this.attributeType = attributeType;
	}

	public String getAttributeUnitCost() {
		return attributeUnitCost;
	}

	public void setAttributeUnitCost(String attributeUnitCost) {
		this.attributeUnitCost = attributeUnitCost;
	}

	public String getAttributeUnitPrice() {
		return attributeUnitPrice;
	}

	public void setAttributeUnitPrice(String attributeUnitPrice) {
		this.attributeUnitPrice = attributeUnitPrice;
	}

	public String getAttributeWeight() {
		return attributeWeight;
	}

	public void setAttributeWeight(String attributeWeight) {
		this.attributeWeight = attributeWeight;
	}

	public String getDefaultOptionID() {
		return defaultOptionID;
	}

	public void setDefaultOptionID(String defaultOptionID) {
		this.defaultOptionID = defaultOptionID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getAttributeID()) && StringUtils.isEmpty(getAttributeCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "attributeCode or attributeID"));
		}
		if (editingAndFieldIsBeingEmptiedOut(getAttributeCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Code"));
		}
		if (getAttributeCode() != null && !getAttributeCode().equals("")
				&& containsUnsafeCharacter(getAttributeCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The code "
							+ getAttributeCode(), containsUnsafeCharacter(
							getAttributeCode(), request)));
		}
		if (addingAndFieldIsBlank(getAttributeName()) || editingAndFieldIsBeingEmptiedOut(getAttributeName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Name"));
		}
		if (addingAndFieldIsBlank(getAttributeType()) || editingAndFieldIsBeingEmptiedOut(getAttributeType())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Type"));
		}
		return getErrors();
	}
}
