package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/ManufacturerAddForm.do",
 * "/administrator/ManufacturerEditForm.do",
 * "/administrator/ManufacturerAdd.do", and
 * "/administrator/ManufacturerEdit.do". Provides properties corresponding to
 * the fields for a single manufacturer record.
 * 
 * @author David Tobey
 * 
 */
public class ManufacturerAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = 7505992852621733297L;

	static Log log = LogFactory.getLog(ManufacturerAddEditForm.class);

	private String manufacturerID = null;

	private String code = null;

	private String name = null;

	private String websiteURL = null;

	private String description = null;

	private String isActive = "true";

	private String header = null;

	private String footer = null;

	private String smallImage = null;

	private String largeImage = null;

	private String address1 = null;

	private String address2 = null;

	private String city = null;

	private String state = null;

	private String postalCode = null;

	private String country = null;

	private String email = null;

	private String phone = null;

	private String isDropShipper = "false";

	private String extra1 = null;

	private String extra2 = null;

	private String extra3 = null;

	private String manufacturerOrder = "0";

	private boolean updateAdvancedSearchIndex = true;

	public String getManufacturerID() {
		return manufacturerID;
	}

	public void setManufacturerID(String manufacturerID) {
		this.manufacturerID = manufacturerID;
	}

	public String getManufacturerOrder() {
		return manufacturerOrder;
	}

	public void setManufacturerOrder(String manufacturerOrder) {
		this.manufacturerOrder = manufacturerOrder;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getFooter() {
		return footer;
	}

	public void setFooter(String footer) {
		this.footer = footer;
	}

	public String getHeader() {
		return header;
	}

	public void setHeader(String header) {
		this.header = header;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getLargeImage() {
		return largeImage;
	}

	public void setLargeImage(String largeImage) {
		this.largeImage = largeImage;
	}

	public String getAddress1() {
		return address1;
	}

	public void setAddress1(String address1) {
		this.address1 = address1;
	}

	public String getAddress2() {
		return address2;
	}

	public void setAddress2(String address2) {
		this.address2 = address2;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getIsDropShipper() {
		return isDropShipper;
	}

	public void setIsDropShipper(String isDropShipper) {
		this.isDropShipper = isDropShipper;
	}

	public String getExtra1() {
		return extra1;
	}

	public void setExtra1(String extra1) {
		this.extra1 = extra1;
	}

	public String getExtra2() {
		return extra2;
	}

	public void setExtra2(String extra2) {
		this.extra2 = extra2;
	}

	public String getExtra3() {
		return extra3;
	}

	public void setExtra3(String extra3) {
		this.extra3 = extra3;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSmallImage() {
		return smallImage;
	}

	public void setSmallImage(String smallImage) {
		this.smallImage = smallImage;
	}

	public String getWebsiteURL() {
		return websiteURL;
	}

	public void setWebsiteURL(String websiteURL) {
		this.websiteURL = websiteURL;
	}

	public boolean getUpdateAdvancedSearchIndex() {
		return updateAdvancedSearchIndex;
	}

	public void setUpdateAdvancedSearchIndex(boolean updateAdvancedSearchIndex) {
		this.updateAdvancedSearchIndex = updateAdvancedSearchIndex;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getManufacturerID()) && StringUtils.isEmpty(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "manufacturerID or code"));
		}
		if (addingAndFieldIsBlank(getCode()) || editingAndFieldIsBeingEmptiedOut(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Code"));
		} else if (containsUnsafeCharacter(getCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The code "
							+ getCode(), containsUnsafeCharacter(getCode(),
							request)));
		}
		if (addingAndFieldIsBlank(getIsDropShipper()) || editingAndFieldIsBeingEmptiedOut(getIsDropShipper())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Drop Shipper?"));
		}
		return getErrors();
	}
}
