package com.softslate.commerce.administrator.product;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.product.Product;
import com.softslate.commerce.businessobjects.product.ProductProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 * 
 */
public class ProductCloneAction extends BaseAction {

	static Log log = LogFactory.getLog(ProductCloneAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		BaseForm baseForm = (BaseForm) form;
		Map properties = PropertyUtils.describe(form);
		ProductProcessor processor = (ProductProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"productProcessorImplementer");

		Map results = processor.cloneProduct(properties);
		Product clonedProduct = (Product) results.get("clonedProduct");
		request.setAttribute("clonedProduct", results.get("clonedProduct"));

		baseForm.getMessages().add(
				ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("errors.detail",
						"Product Successfully Cloned!"));
		baseForm.getMessages().add(
				ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.editNewRecord",
						"ProductEditForm.do?productID="
								+ clonedProduct.getProductID()));
		if (!baseForm.getMessages().isEmpty())
			saveMessages(request, baseForm.getMessages());

		if (log.isDebugEnabled())
			log.debug("Finished with Action.");

		return mapping.findForward("success");
	}

}
