package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.Product;

/**
 * Struts form class corresponding to requests to "/administrator/Product.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscProduct</code> table.
 * 
 * @author David Tobey
 */
public class ProductForm extends BaseSerializableForm {

	private static final long serialVersionUID = 1571534730516598703L;

	static Log log = LogFactory.getLog(ProductForm.class);

	private String withSelected = null;

	private String processSelectedAction = "/ProductProcessSelected.do";

	private String[] selectedID = null;

	private String idField = "productID";

	private String nameField = "name";

	private String childName = "Details";

	private boolean m2mChild = true;

	private String parentIDField = "categoryID";

	private String entityProperty = "product";

	private Class entity = Product.class;

	private String categoryID = "";

	private String attributeID = "";

	private String parentProductID = "";

	private String parentManufacturerID = "";
	
	private String customerWishListID = "";

	private String[] fields = { "productID", "code", "seoCode", "name",
			"keywords", "shortDescription", "description", "isActive",
			"unitCost", "unitPrice", "altPrice", "weight", "header", "footer",
			"isTaxed", "smallImage", "mediumImage", "largeImage", "extra1",
			"extra2", "extra3", "extra4", "extra5", "primaryCategoryID",
			"manufacturerID", "productOrder", "created" };

	private String[] fieldLables = { "Product ID", "Code", "SEO Code", "Name",
			"Keywords", "Short Desc", "Description", "Active", "Cost", "Price",
			"Alt Price", "Weight", "Header", "Footer", "Taxed", "Small Image",
			"Medium Image", "Large Image", "Extra 1", "Extra 2", "Extra 3",
			"Extra 4", "Extra 5", "Pri Category", "Manufacturer", "Order", "Created" };

	private String[] displayFields = { "code", "name", "isActive", "unitPrice",
			"productOrder" };

	private String[] searchableFields = { "code", "seoCode", "name",
			"keywords", "shortDescription", "extra1", "extra2", "extra3",
			"extra4", "extra5", "created" };

	private String sortByString = "productOrder";

	private String sortAscOrDesc = "ASC";

	private String[] cantSortByFields = { "description", "header", "footer",
			"productCategoryOrder", "relatedProductOrder", "relatedType" };

	private String formAction = "/Product.do";

	private String addFormAction = "/ProductAddForm.do";

	private String editFormAction = "/ProductOverview.do";

	private String editDeleteFormAction = "/ProductEditDelete.do";

	private String childEditAction = "/ProductEditForm.do";

	private String[] productID = null;

	private String[] code = null;

	private String[] seoCode = null;

	private String[] name = null;

	private String[] keywords = null;

	private String[] shortDescription = null;

	private String[] description = null;

	private String[] isActive = null;

	private String[] unitCost = null;

	private String[] unitPrice = null;

	private String[] altPrice = null;

	private String[] weight = null;

	private String[] header = null;

	private String[] footer = null;

	private String[] isTaxed = null;

	private String[] smallImage = null;

	private String[] mediumImage = null;

	private String[] largeImage = null;

	private String[] created = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] extra4 = null;

	private String[] extra5 = null;

	private String[] primaryCategoryID = null;

	private String[] manufacturerID = null;

	private String[] productOrder = null;

	private String[] productCategoryOrder = null;

	private String[] relatedProductOrder = null;

	private String[] relatedType = null;

	public boolean isM2mChild() {
		return m2mChild;
	}

	public void setM2mChild(boolean child) {
		m2mChild = child;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String[] getAltPrice() {
		return altPrice;
	}

	public void setAltPrice(String[] altPrice) {
		this.altPrice = altPrice;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getSeoCode() {
		return seoCode;
	}

	public void setSeoCode(String[] seoCode) {
		this.seoCode = seoCode;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getCreated() {
		return created;
	}

	public void setCreated(String[] created) {
		this.created = created;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getExtra4() {
		return extra4;
	}

	public void setExtra4(String[] extra4) {
		this.extra4 = extra4;
	}

	public String[] getExtra5() {
		return extra5;
	}

	public void setExtra5(String[] extra5) {
		this.extra5 = extra5;
	}

	public String[] getKeywords() {
		return keywords;
	}

	public void setKeywords(String[] keywords) {
		this.keywords = keywords;
	}

	public String[] getFooter() {
		return footer;
	}

	public void setFooter(String[] footer) {
		this.footer = footer;
	}

	public String[] getHeader() {
		return header;
	}

	public void setHeader(String[] header) {
		this.header = header;
	}

	public String[] getIsActive() {
		return isActive;
	}

	public void setIsActive(String[] isActive) {
		this.isActive = isActive;
	}

	public String[] getIsTaxed() {
		return isTaxed;
	}

	public void setIsTaxed(String[] isTaxed) {
		this.isTaxed = isTaxed;
	}

	public String[] getLargeImage() {
		return largeImage;
	}

	public void setLargeImage(String[] largeImage) {
		this.largeImage = largeImage;
	}

	public String[] getMediumImage() {
		return mediumImage;
	}

	public void setMediumImage(String[] mediumImage) {
		this.mediumImage = mediumImage;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getPrimaryCategoryID() {
		return primaryCategoryID;
	}

	public void setPrimaryCategoryID(String[] primaryCategoryID) {
		this.primaryCategoryID = primaryCategoryID;
	}

	public String[] getProductOrder() {
		return productOrder;
	}

	public void setProductOrder(String[] productOrder) {
		this.productOrder = productOrder;
	}

	public String[] getShortDescription() {
		return shortDescription;
	}

	public void setShortDescription(String[] shortDescription) {
		this.shortDescription = shortDescription;
	}

	public String[] getSmallImage() {
		return smallImage;
	}

	public void setSmallImage(String[] smallImage) {
		this.smallImage = smallImage;
	}

	public String[] getUnitCost() {
		return unitCost;
	}

	public void setUnitCost(String[] unitCost) {
		this.unitCost = unitCost;
	}

	public String[] getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(String[] unitPrice) {
		this.unitPrice = unitPrice;
	}

	public String[] getWeight() {
		return weight;
	}

	public void setWeight(String[] weight) {
		this.weight = weight;
	}

	public String[] getManufacturerID() {
		return manufacturerID;
	}

	public void setManufacturerID(String[] manufacturerID) {
		this.manufacturerID = manufacturerID;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String getCategoryID() {
		return categoryID;
	}

	public void setCategoryID(String categoryID) {
		this.categoryID = categoryID;
	}

	public String getAttributeID() {
		return attributeID;
	}

	public void setAttributeID(String attributeID) {
		this.attributeID = attributeID;
	}

	public String getParentManufacturerID() {
		return parentManufacturerID;
	}

	public void setParentManufacturerID(String parentManufacturerID) {
		this.parentManufacturerID = parentManufacturerID;
	}

	public String[] getProductID() {
		return productID;
	}

	public void setProductID(String[] productID) {
		this.productID = productID;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String getParentProductID() {
		return parentProductID;
	}

	public void setParentProductID(String parentProductID) {
		this.parentProductID = parentProductID;
	}

	public String[] getProductCategoryOrder() {
		return productCategoryOrder;
	}

	public void setProductCategoryOrder(String[] productCategoryOrder) {
		this.productCategoryOrder = productCategoryOrder;
	}

	public String[] getRelatedProductOrder() {
		return relatedProductOrder;
	}

	public void setRelatedProductOrder(String[] relatedProductOrder) {
		this.relatedProductOrder = relatedProductOrder;
	}

	public String[] getRelatedType() {
		return relatedType;
	}

	public void setRelatedType(String[] relatedType) {
		this.relatedType = relatedType;
	}

	public String getWithSelected() {
		return withSelected;
	}

	public void setWithSelected(String withSelected) {
		this.withSelected = withSelected;
	}

	public String getProcessSelectedAction() {
		return processSelectedAction;
	}

	public void setProcessSelectedAction(String processSelectedAction) {
		this.processSelectedAction = processSelectedAction;
	}

	public String[] getSelectedID() {
		return selectedID;
	}

	public void setSelectedID(String[] selectedID) {
		this.selectedID = selectedID;
	}
	
	public String getCustomerWishListID() {
		return customerWishListID;
	}

	public void setCustomerWishListID(String customerWishListID) {
		this.customerWishListID = customerWishListID;
	}
	
	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if ("true".equals(getEditMode()) && getProductID() != null) {
			for (int i = 0; i < getProductID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null
							|| getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getCode()[i], request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The code " + getCode()[i],
										containsUnsafeCharacter(getCode()[i],
												request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("seoCode")) {
					if (getSeoCode()[i] != null
							&& !getSeoCode()[i].equals("")
							&& containsUnsafeCharacter(getSeoCode()[i], request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The SEO code " + getSeoCode()[i],
										containsUnsafeCharacter(
												getSeoCode()[i], request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("name")) {
					if (getName().length < i + 1 || getName()[i] == null
							|| getName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Name"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isActive")) {
					if (getIsActive().length < i + 1
							|| getIsActive()[i] == null
							|| getIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Active"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("unitPrice")) {
					if (getUnitPrice().length < i + 1
							|| getUnitPrice()[i] == null
							|| getUnitPrice()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Price"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isTaxed")) {
					if (getIsTaxed().length < i + 1 || getIsTaxed()[i] == null
							|| getIsTaxed()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Taxed"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("productOrder")) {
					if (getProductOrder().length < i + 1
							|| getProductOrder()[i] == null
							|| getProductOrder()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Order"));
					}
				}
			}
		}
		return errors;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
		if (getParentIDField() != null
				&& getParentIDField().equals("categoryID")) {
			setParentKey("categoryImplementer");
			setManyToManyKey("productCategoryImplementer");
			setManyToManyProp("productCategories");
			setManyToManyClass("com.softslate.commerce.businessobjects.product.ProductCategory");
			setParentProperty("category");
		} else if (getParentIDField() != null
				&& getParentIDField().equals("attributeID")) {
			setParentKey("attributeImplementer");
			setManyToManyKey("productAttributeImplementer");
			setManyToManyProp("productAttributes");
			setManyToManyClass("com.softslate.commerce.businessobjects.product.ProductAttribute");
			setParentProperty("attribute");
		} else if (getParentIDField() != null
				&& getParentIDField().equals("parentProductID")) {
			setParentKey("productImplementer");
			setManyToManyKey("relatedProductImplementer");
			setManyToManyProp("relatedProductsAdmin");
			setManyToManyClass("com.softslate.commerce.businessobjects.product.RelatedProduct");
			setParentProperty("parentProduct");
		} else if (getParentIDField() != null
				&& getParentIDField().equals("parentManufacturerID")) {
			setParentKey("manufacturerImplementer");
			setM2mChild(false);
		}else if (getParentIDField() != null
				&& getParentIDField().equals("customerWishListID")) {
			setParentKey("customerWishListImplementer");
			setManyToManyKey("customerWishListProductImplementer");
			setManyToManyProp("customerWishListProducts");
			setManyToManyClass("com.softslate.commerce.businessobjects.customer.CustomerWishListProduct");
			setParentProperty("customerWishList");
		}
		// Add the productCategoryOrder fields
		if (getParentIDField() != null
				&& getParentIDField().equals("categoryID")
				&& getCategoryID() != null && getCategoryID().length() > 0) {
			setFields(arrayAppend(getFields(), "productCategoryOrder"));
			setFieldLables(arrayAppend(getFieldLables(), "Order w/in Cat"));
		} else {

			// Just the basic fields
			setFields(arrayRemove(getFields(), "productCategoryOrder"));
			setFieldLables(arrayRemove(getFieldLables(), "Order w/in Cat"));
		}

		// Add the relatedProductOrder fields
		if (getParentIDField() != null
				&& getParentIDField().equals("parentProductID")
				&& getParentProductID() != null
				&& getParentProductID().length() > 0) {
			setFields(arrayAppend(getFields(), "relatedProductOrder"));
			setFieldLables(arrayAppend(getFieldLables(), "Order w/in Parent"));
			setFields(arrayAppend(getFields(), "relatedType"));
			setFieldLables(arrayAppend(getFieldLables(), "Related Type"));
		} else {

			// Just the basic fields
			setFields(arrayRemove(getFields(), "relatedProductOrder"));
			setFieldLables(arrayRemove(getFieldLables(), "Order w/in Parent"));
			setFields(arrayRemove(getFields(), "relatedType"));
			setFieldLables(arrayRemove(getFieldLables(), "Related Type"));
		}
	}
}
