package com.softslate.commerce.administrator.shipping;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.shipping.ShippingMethod;
import com.softslate.commerce.businessobjects.shipping.ShippingMethodProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/ShippingRateAddForm.do</code>. Creates an empty
 * <code>ShippingRateAddEditForm</code> object.
 * 
 * @author David Tobey
 */
public class ShippingRateAddFormAction extends BaseAction {

	static Log log = LogFactory.getLog(ShippingRateAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		ShippingRateAddEditForm baseForm = (ShippingRateAddEditForm) form;

		if (request.getAttribute("reset") != null
				&& request.getAttribute("reset").equals("true")) {
			Class classDefinition = baseForm.getClass();
			baseForm = (ShippingRateAddEditForm) classDefinition.newInstance();
		}

		baseForm.initializeProperties(mapping, request);
		request.setAttribute("shippingRateAddEditForm", baseForm);

		baseForm.setShippingMethodID(request.getParameter("shippingMethodID"));
		baseForm.setParentName(request.getParameter("parentName"));

		// Load the parent if an id is present
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		ShippingMethod shippingMethod = null;
		if (baseForm.getShippingMethodID() != null
				&& baseForm.getShippingMethodID().length() > 0) {
			ShippingMethodProcessor processor =  bof
					.createObject(ShippingMethodProcessor.class);
			shippingMethod = processor.loadShippingMethodFromID(PropertyUtils
					.describe(baseForm));
			request.setAttribute("shippingMethod", shippingMethod);
		}

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home",
				"Shipping Methods", "Shipping Method Details",
				"Shipping Rates", "Add Shipping Rate" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
