package com.softslate.commerce.businessobjects.email;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObject;

public interface EmailProcessor extends BusinessObject {

	abstract Map loadEmailsAndCount(Map parameters) throws Exception;

	abstract Map addEmail(Map parameters) throws Exception;

	abstract Email loadEmailFromID(Map parameters)
			throws Exception;

	abstract Map editEmail(Map parameters) throws Exception;

	abstract void editDeleteEmails(Map parameters) throws Exception;

	abstract void deleteEmail(Map parameters) throws Exception;
	
	abstract Collection<Email> loadAllEmails() throws Exception;

	abstract Integer emailsCountByTypeAndOrderID(String type, int orderID) throws Exception;

	abstract Integer emailsCountByTypeAndCustomerID(String type, int customerID) throws Exception;

	abstract Integer emailsCountByTypeAndEmailAddress(String type, String emailAddress) throws Exception;

	abstract Integer emailsCountByTypeAndEmailAddressAfterCreatedTime(String type, String emailAddress,
			String createdTime) throws Exception;
}
