package com.softslate.commerce.businessobjects.payment.authorizeNetCIM;

import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.ArrayList;

import AuthNet.Rebill.MessagesTypeMessage;

public class AuthorizeNetCIMResult {

	private long profileID = 0;

	public long getProfileID() {
		return profileID;
	}

	public void setProfileID(long profileID) {
		this.profileID = profileID;
	}

	private long paymentProfileID = 0;

	public long getPaymentProfileID() {
		return paymentProfileID;
	}

	public void setPaymentProfileID(long paymentProfileID) {
		this.paymentProfileID = paymentProfileID;
	}

	private List<Map<String, String>> messages = new ArrayList<Map<String, String>>();

	public List<Map<String, String>> getMessages() {
		return messages;
	}

	public void setMessages(ArrayList<Map<String, String>> messages) {
		this.messages = messages;
	}

	private boolean error = false;

	public boolean getError() {
		return error;
	}

	public void setError(boolean error) {
		this.error = error;
	}

	public AuthorizeNetCIMResult(boolean error) {
		this.error = error;
	}

	public String directResponse = null;

	public String getDirectResponse() {
		return directResponse;
	}

	public void setDirectResponse(String directResponse) {
		this.directResponse = directResponse;
	}

	public String validationDirectResponse = null;

	public String getValidationDirectResponse() {
		return validationDirectResponse;
	}

	public void setValidationDirectResponse(String validationDirectResponse) {
		this.validationDirectResponse = validationDirectResponse;
	}

	public void initialize(List<MessagesTypeMessage> cimMessages, boolean error) {
		this.error = error;
		if (cimMessages != null && cimMessages.size() > 0) {
			for (int i = 0; i < cimMessages.size(); i++) {
				Map<String, String> m = new HashMap<String, String>();
				m.put("text", cimMessages.get(i).getText());
				m.put("code", cimMessages.get(i).getCode());
				this.messages.add(m);
			}
		}
	}

	public AuthorizeNetCIMResult() {

	}

}
