package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts action class for submissions to view the checkout combo form. Used for
 * requests to "/CheckoutComboForm.do".
 * <p>
 * The <code>execute</code> method of this class invokes
 * {@link com.softslate.commerce.customer.order.CheckoutAction#prepareCheckoutAddressesForm(CheckoutAddressesForm)}
 * to prepare the checkout addresses form followed by
 * {@link com.softslate.commerce.customer.order.CheckoutAction#preparePaymentForms(BaseForm)}
 * to prepare the payment form(s).
 * 
 * @author David Tobey
 */
public class CheckoutComboFormAction extends CheckoutAction {
	static Log log = LogFactory.getLog(CheckoutComboFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		// Initialize a CheckoutAddressesForm
		CheckoutAddressesForm baseForm = (CheckoutAddressesForm) form;
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);
		// Prepare the address form.
		prepareCheckoutAddressesForm(baseForm);
		// Load the shipping options.
		prepareCheckoutShippingForm(baseForm);
		// Do a discount and inventory check to refresh any discounts that may
		// have expired
		processInventoryDiscountCheck(baseForm);
		// Prepare the payment forms.
		preparePaymentForms(baseForm);
		return baseForm.getMapping().findForward("success");
	}

}
