package com.softslate.commerce.customer.payment.cresecure;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.google.gson.annotations.Expose;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * 
 * @author Jason McWilliams
 */
public class CRESecureCompleteForm extends BaseForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2001609954317374836L;

	static Log log = LogFactory.getLog(CRESecureCompleteForm.class);

	// Transaction identifier from the gateway.
	@Expose
	private String transId = null;

	// Transaction approval code.
	@Expose
	private String appCode = null;

	// Cardholder name.
	@Expose
	private String name = null;

	// Masked credit card number.
	@Expose
	private String ccNumber = null;

	// Card type.
	@Expose
	private String ccType = null;

	// Expiration month.
	@Expose
	private String expMonth = null;

	// Expiration year.
	@Expose
	private String expYear = null;

	// The card type selected by the customer.
	@Expose
	private String cardBrandSelected = null;

	// The value indicating whether the submitted CVV value matches the CVV
	// value associated with the cardholder's account.
	@Expose
	private String CVVMatch = null;

	// The value indicating whether the submitted address matches the address
	// associated with the cardholder's account.
	@Expose
	private String AVSMatch = null;

	// Transaction approval code.
	@Expose
	private String approvalCode = null;

	// The time of the start of the transaction.
	@Expose
	private String transactionStart = null;

	// The time the transaction was finished being processed.
	@Expose
	private String transactionEnd = null;

	// The CRE Secure merchant ID.
	private String merchantPass = null;

	// The session ID passed to the transaction processor.
	private String sessionId = null;

	// The status code of the transaction.
	@Expose
	private String status = null;

	// The transaction amount.
	@Expose
	private String amount = null;

	// The customer identification number passed in the request URL parameters.
	@Expose
	private String customer_id = null;

	// The customer email address passed in the request URL parameters.
	@Expose
	private String customer_email = null;

	// A tokenized representation of the transaction. CRE Card Tokenization
	// Services on page 27 for details about tokenization.
	@Expose
	private String tokenId = null;

	// External gateway token. Requires certification to the external gateway to
	// redeem.
	@Expose
	private String extToken = null;

	@Expose
	private String address1 = null;

	@Expose
	private String address2 = null;

	@Expose
	private String city = null;

	// Documentation is wrong this is province!
	// private string state = null;
	@Expose
	private String province = null;

	// Documentation is wrong this is postal_code!
	// private String zip = null;
	@Expose
	private String postal_code = null;

	@Expose
	private String country = null;

	@Expose
	private String analysis_result = null;

	// If using CIM, these will populate and we could store them somewhere but
	// they may not make sense as CRE is layered and one customer in SS will
	// have many profiles, not just one. We will put them in the payment record
	// in case we need to find them
	@Expose
	private String customerPaymentProfileId = null;
	@Expose
	private String customerProfileId = null;
	@Expose
	private String customerShippingAddressId = null;


	public String getTransId() {
		return transId;
	}

	public void setTransId(String transId) {
		this.transId = transId;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCcNumber() {
		return ccNumber;
	}

	public void setCcNumber(String ccNumber) {
		this.ccNumber = ccNumber;
	}

	public String getCcType() {
		return ccType;
	}

	public void setCcType(String ccType) {
		this.ccType = ccType;
	}

	public String getExpMonth() {
		return expMonth;
	}

	public void setExpMonth(String expMonth) {
		this.expMonth = expMonth;
	}

	public String getExpYear() {
		return expYear;
	}

	public void setExpYear(String expYear) {
		this.expYear = expYear;
	}

	public String getCardBrandSelected() {
		return cardBrandSelected;
	}

	public void setCardBrandSelected(String cardBrandSelected) {
		this.cardBrandSelected = cardBrandSelected;
	}

	public String getCVVMatch() {
		return CVVMatch;
	}

	public void setCVVMatch(String cVVMatch) {
		CVVMatch = cVVMatch;
	}

	public String getAVSMatch() {
		return AVSMatch;
	}

	public void setAVSMatch(String aVSMatch) {
		AVSMatch = aVSMatch;
	}

	public String getApprovalCode() {
		return approvalCode;
	}

	public void setApprovalCode(String approvalCode) {
		this.approvalCode = approvalCode;
	}

	public String getTransactionStart() {
		return transactionStart;
	}

	public void setTransactionStart(String transactionStart) {
		this.transactionStart = transactionStart;
	}

	public String getTransactionEnd() {
		return transactionEnd;
	}

	public void setTransactionEnd(String transactionEnd) {
		this.transactionEnd = transactionEnd;
	}

	public String getMerchantPass() {
		return merchantPass;
	}

	public void setMerchantPass(String merchantPass) {
		this.merchantPass = merchantPass;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAmount() {
		return amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getCustomer_id() {
		return customer_id;
	}

	public void setCustomer_id(String customer_id) {
		this.customer_id = customer_id;
	}

	public String getCustomer_email() {
		return customer_email;
	}

	public void setCustomer_email(String customer_email) {
		this.customer_email = customer_email;
	}

	public String getTokenId() {
		return tokenId;
	}

	public void setTokenId(String tokenId) {
		this.tokenId = tokenId;
	}

	public String getExtToken() {
		return extToken;
	}

	public void setExtToken(String extToken) {
		this.extToken = extToken;
	}

	public String getAddress1() {
		return address1;
	}

	public void setAddress1(String address1) {
		this.address1 = address1;
	}

	public String getAddress2() {
		return address2;
	}

	public void setAddress2(String address2) {
		this.address2 = address2;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	/*
	 * public String getState() { return state; }
	 * 
	 * public void setState(String state) { this.state = state; }
	 */

	/*
	 * public String getZip() { return zip; }
	 * 
	 * public void setZip(String zip) { this.zip = zip; }
	 */

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getPostal_code() {
		return postal_code;
	}

	public void setPostal_code(String postal_code) {
		this.postal_code = postal_code;
	}

	public String getAnalysis_result() {
		return analysis_result;
	}

	public void setAnalysis_result(String analysis_result) {
		this.analysis_result = analysis_result;
	}


	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getCustomerPaymentProfileId() {
		return customerPaymentProfileId;
	}

	public void setCustomerPaymentProfileId(String customerPaymentProfileId) {
		this.customerPaymentProfileId = customerPaymentProfileId;
	}

	public String getCustomerProfileId() {
		return customerProfileId;
	}

	public void setCustomerProfileId(String customerProfileId) {
		this.customerProfileId = customerProfileId;
	}

	public String getCustomerShippingAddressId() {
		return customerShippingAddressId;
	}

	public void setCustomerShippingAddressId(String customerShippingAddressId) {
		this.customerShippingAddressId = customerShippingAddressId;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);

		// This probably is never called as we never post back here, its done in
		// javascript.

		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());

		return getErrors();
	}

}
