package com.softslate.commerce.daos.administrator;

import java.util.Map;

import com.softslate.commerce.businessobjects.administrator.Administrator;
import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.core.User;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries for the administrator
 * application.
 * 
 * @author David Tobey
 */
public interface AdministratorGatewayDAO extends DAOInterface {

	public Map processLogin(User user) throws Exception;

	public Map processLogin(String administratorUserName, String administratorPassword) throws Exception;

	public Administrator processApiLogin(String apiLoginID, String apiAuthenticationToken) throws Exception;

	abstract Map loadAdministratorsAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteAdministrators(Map parameters,
			BusinessObjectFactory bof) throws Exception;


}
