package com.softslate.commerce.daos.payment;

import java.util.Collection;
import java.util.Map;
import java.util.List;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.payment.Payment;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to basic payment
 * rates.
 * 
 * @author David Tobey
 * 
 */
public interface PaymentGatewayDAO extends DAOInterface {
	abstract Map loadPaymentsAndCount(Map parameters) throws Exception;

	abstract Map editDeletePayments(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract Collection getPaymentsFromValues(String value1, String value2)
			throws Exception;

	abstract Collection loadCardInfoStatistics() throws Exception;

	abstract int purgeCardInfo(boolean commit, Map parameters) throws Exception;

	abstract Collection<Payment> loadPaymentsWithNoCIMProfileByDate(
			String cutoffDate) throws Exception;

	abstract List<Object[]> loadPaymentsWithNoProfileByDate(
			String createdStart, String createdEnd) throws Exception;
}
