<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsEmailer.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>


<div class="instructions">
	<p> Use the settings below on this screen to configure how your store interacts with your SoftSlate Emailer account,
		including how the store sends it new subscribers.</p>
</div>
			
<br/>

<html:form action="/SettingsProcessEmailerCustomerRegistration" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="EMAILERREGISTRATION">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'emailerClientID'}"></c:when>
					<c:when test="${setting.code eq 'emailerCustomerRegistration'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="radio" name="emailerCustomerRegistration" value="dontSubscribe" <logic:match name="setting" property="smallValue" value="dontSubscribe">checked="checked"</logic:match>/> Don't Subscribe Any Users When They Register As Customers
								<br/>
								<input type="radio" name="emailerCustomerRegistration" value="subscribeAll" <logic:match name="setting" property="smallValue" value="subscribeAll">checked="checked"</logic:match>/> Subscribe All Users When They Register As Customers
								<br/>
								<input type="radio" name="emailerCustomerRegistration" value="subscribeOptIns" <logic:match name="setting" property="smallValue" value="subscribeOptIns">checked="checked"</logic:match>/> Subscribe Only Users Who Opt In (See Below Settings)
								<br/><br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsEmailerEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
<%--
<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Secure the information customers submit using SSL">
				<p>If you are running a live store that takes in personal information and credit card information from your customers, 
				you need to use an SSL certificate for the store so the information is transmitted securely.</p>
				<p>Typcially you can get help obtaining and installing an SSL certificate from your host provider.
				The SSL certificate is not installed within SoftSlate Commerce. 
				Rather, it is installed in the web server software on the machine hosting the store.</p>
				<p>Once an SSL certificate is installed, you simply need to change the "Secure Customer URL" and
				"Administrator URL" settings above
				so that they begin with "https" instead of "http".
				This will update all the links generated by the store so that secure URLs are used for any sensitive information,
				including contact information, passwords, payment information, and everything in the Administrator application.</p>
			</ssc:help>
		</li>
	</ul>
</div> --%>
<!-- End settingsEmailer.jsp -->
