<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsInventory.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use this form to define the global inventory settings for the store. 
	Most of these settings may be overridden for a particular product by editing that product's individual inventory settings.
	(A link to edit each product's inventory settings appears on the product's Overview screen.)
</div>

<br/>

<html:form action="/SettingsProcessInventory" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="INVENTORY">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'decrementBehavior'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="decrementBehavior">
									<option value="onAddingToCart" <logic:match name="setting" property="smallValue" value="onAddingToCart">selected="selected"</logic:match>>On Adding to Cart</option>
									<option value="onOrderCompletion" <logic:match name="setting" property="smallValue" value="onOrderCompletion">selected="selected"</logic:match>>On Order Completion</option>
									<option value="dontDecrement" <logic:match name="setting" property="smallValue" value="dontDecrement">selected="selected"</logic:match>>Don't Decrement</option>
								</select>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsInventoryEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>


<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Override these settings for a particular product">
				<p>Most of these settings may be overridden product-by-product.
				To do this, find an individual product from the main <a href="Product.do">Product Control Screen</a> and click "Overview".
				Then click the "More ..." tab for the product to edit the inventory settings.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Define the inventory levels of my products">
				<p>Inventory levels are defined through the notion of SKUs (Stock Keeping Units). 
				If you simply need to track the inventory level of each product, the easiest way to create SKUs and set their inventory levels
				is to run the "SKU Builder" at the bottom of the main <a href="SKU.do">SKU Control Screen</a>.</p>
				<p>Once the SKUs are created, you can set them to track inventory with the "Track Inventory?" flag, 
				and define their stock levels with the "Inventory Level" field.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Define inventory levels at the attribute/option level">
				<p>A SKU may simply represent a product, or it may represent a product and a combination of attributes and options selected by the shopper.</p>
				<p>If you need to track inventory at the attribute and option level, we suggest you create SKUs product-by-product.
				Find an individual product from the main <a href="Product.do">Product Control Screen</a>.
				Click "Details" or "Overview" for the product and on the next screen click the "SKUs" tab.
				Run the 'SKU Builder', selecting the opion to build one SKU for each attribute/option combination.</p>
				<p>Once the SKUs are created, you can set them to track inventory with the "Track Inventory?" flag, 
				and define their stock levels with the "Inventory Level" field.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Find Out More About Tracking Inventory">
				<p>For more details including examples of setting up inventory tracking, please visit the 
				<a href="http://www.softslate.com/documentation/html/inventory.html">Tracking Inventory with SKUs section</a> of the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsInventory.jsp -->
