<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to the Payflow Pro payment gateway to process credit cards.
</div>

<br/>

<html:form action="/SettingsProcessPayflowPro" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="payflowPro">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'payflowProComment1' or setting.code eq 'payflowProComment2'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" size="65" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.mediumValue}"/>"/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'payflowLinkType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<input type="password" size="20" maxlength="64" name="<bean:write name="setting" property="code"/>" value="<bean:write name="setting" property="smallValue"/>"/>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'payflowProType'
									or setting.code eq 'payflowProType1'
									or setting.code eq 'payflowProType2'
									or setting.code eq 'payflowProType3'
									or setting.code eq 'payflowProAuth'
									or setting.code eq 'payflowProAuth1'
									or setting.code eq 'payflowProAuth2'
									or setting.code eq 'payflowProAuth3'
									or setting.code eq 'payflowProCust1'
									or setting.code eq 'payflowProCust2'
									or setting.code eq 'payflowProCust3'
									or setting.code eq 'payflowProFloor1'
									or setting.code eq 'payflowProFloor2'
									or setting.code eq 'payflowProFloor3'
									or setting.code eq 'payflowProCeiling1'
									or setting.code eq 'payflowProCeiling2'
									or setting.code eq 'payflowProCeiling3'
									or setting.code eq 'payflowProCountries1'
									or setting.code eq 'payflowProCountries2'
									or setting.code eq 'payflowProCountries3'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish a Payflow Pro Account">
				<p>To enable Payflow Pro, you must establish an account with them. 
				Visit <a href="https://www.paypal.com/us/webapps/mpp/referral/paypal-payflow-pro?partner_id=HVRJADM253TCE">the PayPal Payflow Pro signup page</a> 
				for more information.</p>
			</ssc:help>
		</li>
	</ul>
</div>
