<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start attributeEditForm.jsp -->
<c:if test="${!empty attribute.productAttributes and !attribute.productAttributes['empty']}">
	<bean:size id="productsSize" name="attribute" property="productAttributes"/>
	<c:if test="${productsSize > 1}">
		<div class="important addEditNotes">
			This attribute is assigned to multiple products. Changing it will affect all products it is assigned to.
			<a href="<c:out value="${settings.map.administratorURL}"/>/Product.do?attributeID=<c:out value="${attribute.attributeID}"/>&assignments=assigned&parentIDField=attributeID">Review the products assigned to this attribute.</a>
		</div>
	</c:if>
</c:if>
<c:if test="${(attribute.attributeType eq 'compact' or attribute.attributeType eq 'expanded') and empty attribute.attributeOptions and attribute.attributeOptions['empty']}">
	<div class="important addEditNotes">
		This attribute is 
		<c:choose>
			<c:when test="${attribute.attributeType eq 'compact'}">a Compact attribute, meaning customers choose one of its options in a drop down menu,</c:when>
			<c:when test="${attribute.attributeType eq 'expanded'}">an Expanded attribute, meaning customers choose one of its options displayed as radio buttons,</c:when>
		</c:choose>
		but no options have been defined for it yet.
		<a href="<c:out value="${settings.map.administratorURL}"/>/Option.do?attributeID=<c:out value="${attribute.attributeID}"/><c:if test="${!empty product}">&amp;productID=<c:out value="${product.productID}"/></c:if>">Define the options for this attribute.</a>
	</div>
</c:if>
<html:form action="/AttributeEdit" method="post">
	<html:hidden name="attributeAddEditForm" property="attributeID" />
	<html:hidden name="attributeAddEditForm" property="productID" />
	<table class="addEditTable settingsTable">
		<tr class="altRow">
			<td class="genericLabel">
				Attribute ID:
			</td>
			<td>
				<bean:write name="attributeAddEditForm" property="attributeID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="attributeDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/AttributeDelete.do" method="post">
		<html:hidden name="attributeAddEditForm" property="attributeID" />
		<c:if test="${!empty requestScope.product and !empty attributeAddEditForm.productID}">
			<html:hidden name="attributeAddEditForm" property="productID" />
			<input type="hidden" name="assignments" value="assigned"/>
		</c:if>
		<input type="hidden" name="code" value="<bean:write name="attributeAddEditForm" property="attributeCode" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>
<!-- End attributeEditForm.jsp -->
