<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start shippingMethodFormGuts.jsp -->
<tr class="altRow">
	<td class="property setting">Name:</td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="shippingMethodAddEditForm" property="name"/>
		<div class="fieldDescription">The name of this shipping method option as it will appear to customers during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Code:</td>
	<td class="value">
		<html:text maxlength="100" styleClass="length100" name="shippingMethodAddEditForm" property="code"/>
		<div class="fieldDescription">A unique code for this shipping method option. (No spaces, commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Minimum Charge:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="minimum"/>
		<div class="fieldDescription">The minimum amount charged for this shipping method regardless of what value is calculated otherwise. Leave dollar signs or other currency symbols off when entering price values.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Base Charge:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="base"/>
		<div class="fieldDescription">The base or "handling" charge that will applied to this shipping method for all customers. Leave dollar signs or other currency symbols off when entering price values.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Method Type:</td>
	<td class="value">
		<html:select name="shippingMethodAddEditForm" property="methodType">
			<html:option value="">Please Select</html:option>
			<html:option value="">-------------</html:option>
			<html:option value="flatRate">Flat Rate</html:option>
			<html:option value="quantityTable">Quantity Table</html:option>
			<html:option value="cumulativeQuantityTable">Cumluative Quantity Table</html:option>
			<html:option value="weightTable">Weight Table</html:option>
			<html:option value="perWeightUnitTable">Per Weight Unit Table</html:option>
			<html:option value="priceTable">Price Table</html:option>
		</html:select>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Active:</td>
	<td class="value">
		<html:radio name="shippingMethodAddEditForm" property="isActive" value="true"/> yes
		&nbsp;&nbsp;
		<html:radio name="shippingMethodAddEditForm" property="isActive" value="false"/> no
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Number of Days to Ship:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="numberDaysToShip"/>
		<div class="fieldDescription">The (estimated) number of days it takes to deliver when using this method. If populated and above zero, the "estimated delivery date" for this method will appear to customers during checkout.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Method Order:</td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="shippingMethodAddEditForm" property="methodOrder"/>
		<div class="fieldDescription">The order in which this method will appear relative to other basic shipping methods. (UPS, USPS and methods from other shipping processors will always appear after this method and the other basic shipping methods.)</div>
	</td>
</tr>
<!-- End shippingMethodFormGuts.jsp -->
