<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define how your store connects to USPS live rates and the rates are processed.</p>
</div>

<c:if test="${settings.map.useCheckoutCombo ne '1' or settings.map.combineCheckoutShippingAddresses ne '1'}">
	<div class="warning">
		<p>Because USPS needs to know each customer's delivery address to quote a rate, you must set the following application
			settings to "no" for UPS rates to be displayed:</p>
 		<ul class="normal">
			<li>Use Combined Address, Shipping and Payment Screen in Checkout?</li>
			<li>Use Combined Address and Shipping Screen in Checkout?</li>
		</ul>
		<p>Please make sure the above settings are set to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.
		</p>
	</div>

	<br/>
</c:if>

<div class="important">
			<p>Note that USPS only returns live rates for shipments under 70 pounds. If your store is likely to have orders over 70 pounds, 
    	you should consider setting up a weight-based <a href="ShippingMethod.do">shipping method</a> to define an option for orders over 70 pounds.</p>
</div>

<br/>

<html:form action="/USPSSettingsProcess" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="USPSSHIPPING">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'USPS_Destination'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<input name="USPS_DestinationArray" type="checkbox" id="<bean:write name="setting" property="code"/>01" value="01" <logic:match name="setting" property="mediumValue" value="01">checked="checked"</logic:match>/>
								<label for="<bean:write name="setting" property="code"/>01">Domestic (USA)</label>
								&nbsp;&nbsp;
								<input name="USPS_DestinationArray" type="checkbox" id="<bean:write name="setting" property="code"/>02" value="02" <logic:match name="setting" property="mediumValue" value="01">checked="checked"</logic:match>/>
								<label for="<bean:write name="setting" property="code"/>02">International (Outside USA)</label>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'uspsDomesticServices'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<table>
									<tr>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="00" <logic:match name="setting" property="mediumValue" value="00">checked="checked"</logic:match>/> First Class (up to 13 ounces)
										</td>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="04" <logic:match name="setting" property="mediumValue" value="04">checked="checked"</logic:match>/> Standard Post 
										</td>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="01" <logic:match name="setting" property="mediumValue" value="01">checked="checked"</logic:match>/> Priority Mail
										</td>									    	
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="16" <logic:match name="setting" property="mediumValue" value="16">checked="checked"</logic:match>/> Priority Mail Flat-Rate Envelope 
										</td>                       
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="17" <logic:match name="setting" property="mediumValue" value="17">checked="checked"</logic:match>/> Priority Mail Flat-Rate Box 
										</td>                       
									</tr>                   
									<tr>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="03" <logic:match name="setting" property="mediumValue" value="03">checked="checked"</logic:match>/> Express Mail
										</td>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="02" <logic:match name="setting" property="mediumValue" value="02">checked="checked"</logic:match>/> Express Mail PO to PO
										</td>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="13" <logic:match name="setting" property="mediumValue" value="13">checked="checked"</logic:match>/> Express Mail Flat-Rate Envelope
										</td>
									</tr>
									<tr>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="05" <logic:match name="setting" property="mediumValue" value="05">checked="checked"</logic:match>/> Bound Printed Matter
										</td>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="06" <logic:match name="setting" property="mediumValue" value="06">checked="checked"</logic:match>/> Media Mail
										</td>
										<td>
											<input name="uspsDomesticServiceArray" type="checkbox" value="07" <logic:match name="setting" property="mediumValue" value="07">checked="checked"</logic:match>/> Library Mail
										</td>									    	
									</tr>
								</table>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'uspsIntlServices'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<table>
									<tr>
										<td>
										<input name="uspsIntlServiceArray" type="checkbox" value="15" <logic:match name="setting" property="mediumValue" value="15">checked="checked"</logic:match>/> First-Class Mail International Service
										</td>    
										<td>
										<input name="uspsIntlServiceArray" type="checkbox" value="14" <logic:match name="setting" property="mediumValue" value="14">checked="checked"</logic:match>/> First-Class Mail International Large Envelope
										</td>                                
									</tr>
									<tr>  
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="13" <logic:match name="setting" property="mediumValue" value="13">checked="checked"</logic:match>/> First-Class Mail International Letter
										</td>
										<td>&nbsp;</td>
									</tr>  
									<tr>
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="04" <logic:match name="setting" property="mediumValue" value="04">checked="checked"</logic:match>/> Global Express Guaranteed
										</td>
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="06" <logic:match name="setting" property="mediumValue" value="06">checked="checked"</logic:match>/> Global Express Guaranteed Non-Document Rectangular 
										</td>
									</tr>
									<tr>  
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="07" <logic:match name="setting" property="mediumValue" value="07">checked="checked"</logic:match>/> Global Express Guaranteed Non-Document Non-Rectangular
										</td>
										<td>&nbsp;</td>
									</tr>  
									<tr>                 
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="01" <logic:match name="setting" property="mediumValue" value="01">checked="checked"</logic:match>/> Express Mail International (EMS)  
										</td>                       
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="10" <logic:match name="setting" property="mediumValue" value="10">checked="checked"</logic:match>/> Express Mail International (EMS) Flat Rate Envelope 
										</td>  
									</tr>
									<tr>                                    
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="02" <logic:match name="setting" property="mediumValue" value="02">checked="checked"</logic:match>/> Priority Mail International
										</td>
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="09" <logic:match name="setting" property="mediumValue" value="09">checked="checked"</logic:match>/> Priority Mail International Flat Rate Box 
										</td>                                   
									</tr>
									<tr>
										<td>
											<input name="uspsIntlServiceArray" type="checkbox" value="08" <logic:match name="setting" property="mediumValue" value="08">checked="checked"</logic:match>/> Priority Mail International Flat Rate Envelope  
										</td>
										<td>&nbsp;</td>
									</tr>
								</table>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'uspsContainerSize'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="uspsContainerSize">
									<option value="REGULAR"  <logic:match name="setting" property="smallValue" value="REGULAR">selected="selected"</logic:match>>REGULAR</option>
									<option value="LARGE"    <logic:match name="setting" property="smallValue" value="LARGE">selected="selected"</logic:match>>LARGE</option>
									<option value="OVERSIZE" <logic:match name="setting" property="smallValue" value="OVERSIZE">selected="selected"</logic:match>>OVERSIZE</option>
								</select>
								<br/>
								<bean:write name="setting" property="description" filter="false"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'uspsService'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,shippingEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Register with USPS Live Rates">
				<p>To enable USPS shipping, you must first register with USPS at 
				<a href="http://www.usps.com/webtools" target="_blank">http://www.usps.com/webtools</a> 
				and obtain a unique user id from USPS. As of this writing, they will next send you
				an email with your user id, allowing you access to their test server. You should then
				email or call them and tell them you would like to be granted access to their live
				server, and the name of the application you're using is @applicationName@.</p>
			</ssc:help>
		</li>
	</ul>
</div>
	
