YAHOO.namespace("designEditor");
	
function init() {
	
	YAHOO.designEditor.targetField // Define within page
	YAHOO.designEditor.sourceField; // Define within page
	
	YAHOO.designEditor.myEditor = new YAHOO.widget.SimpleEditor(YAHOO.designEditor.sourceField, {
	    height: '200px',
	    width: '730px',
	    dompath: false,	 //Turns on the bar at the bottom
	    toolbar: { 
		    collapse: true,
			titlebar: false,
			draggable: false,
			buttons: [
			    { group: 'fontstyle', label: 'Size',
			        buttons: [
			            { type: 'spin', label: '13', value: 'fontsize', range: [ 9, 75 ], disabled: true }
			        ]
			    },
			    { type: 'separator' },
			    { group: 'textstyle', label: 'Font Style',
			        buttons: [
			            { type: 'push', label: 'Bold CTRL + SHIFT + B', value: 'bold' },
			            { type: 'push', label: 'Italic CTRL + SHIFT + I', value: 'italic' },
			            { type: 'push', label: 'Underline CTRL + SHIFT + U', value: 'underline' },
			            { type: 'separator' },
			            { type: 'color', label: 'Font Color', value: 'forecolor', disabled: true },
			            { type: 'color', label: 'Background Color', value: 'backcolor', disabled: true }
			        ]
			    },
			    { type: 'separator' },
			    { group: 'indentlist', label: 'Lists',
			        buttons: [
			            { type: 'push', label: 'Create an Unordered List', value: 'insertunorderedlist' },
			            { type: 'push', label: 'Create an Ordered List', value: 'insertorderedlist' }
			        ]
			    },
			    { type: 'separator' },
			    { group: 'insertitem', label: 'Insert Item',
			        buttons: [
			            { type: 'push', label: 'HTML Link CTRL + SHIFT + L', value: 'createlink', disabled: true },
			            { type: 'push', label: 'Insert Image', value: 'insertimage' }
			        ]
			    }
			]
		}
	});
	
    //After the Editor renders itself, we will hide it so the iframe doesn't bleed through
	YAHOO.designEditor.myEditor.on('afterRender', YAHOO.designEditor.myEditor.hide);
	YAHOO.designEditor.myEditor.render();
	
	// Show the text box
	YAHOO.designEditor.showDialog = function(e) {
		YAHOO.util.Event.preventDefault(e);
		YAHOO.designEditor.dialog1.show();
	}
	
	// Define various event handlers for Dialog
	var handleSubmit = function() {
		YAHOO.designEditor.myEditor.saveHTML();
		YAHOO.designEditor.targetField.value = YAHOO.designEditor.myEditor.get('element').value;
		YAHOO.designEditor.dialog1.hide();
	};
	var handleCancel = function() {
		this.cancel();
	};

	// Instantiate the Dialog
	YAHOO.designEditor.dialog1 = new YAHOO.widget.Dialog("designEditor", 
		{ width: '750px',
		  height: '350px',
		  fixedcenter : true,
		  visible : false, 
		  constraintoviewport : true,
		  modal: false,
		  buttons : [ { text:"Continue", handler:handleSubmit, isDefault:true },
			      { text:"Cancel", handler:handleCancel } ]
		});
	
	// Render the Dialog
	YAHOO.designEditor.dialog1.render();
	
	//RTE needs a little love to work in in a Dialog that can be 
	//shown and hidden; we let it know that it's being
	//shown/hidden so that it can recover from these actions:
	YAHOO.designEditor.dialog1.showEvent.subscribe(YAHOO.designEditor.myEditor.show, YAHOO.designEditor.myEditor, true);
	YAHOO.designEditor.dialog1.hideEvent.subscribe(YAHOO.designEditor.myEditor.hide, YAHOO.designEditor.myEditor, true);

	YAHOO.util.Event.addListener("showHTMLDialog", "click", YAHOO.designEditor.showDialog);
}

YAHOO.util.Event.onDOMReady(init);
