(function($) {
	$.ss_cim_api = {
			
		popup : null,
		popupMessages : null,
		popupBody : null,
		popupAdd : null,
		popupAddMessages : null,
		popupAddBody : null,
		lastEdited : 0,
		page : "",
		loadAddPaymentForm : false,

		init : function(page) {
			$.ss_cim_api.page = page;
			// Edit props
			$("#authorizeNetAPIPopup").dialog({
				autoOpen: false,
				modal: true,
				width: 'auto',
				close: $.ss_cim_api.closeEdit
			});
			$.ss_cim_api.popup = $('#authorizeNetAPIPopup');
			$.ss_cim_api.popupMessages = $('#authorizeNetAPIPopupMessages');
			$.ss_cim_api.popupBody = $('#authorizeNetAPIPopupBody');
			
			$("#authorizeNetAPIPopupAdd").dialog({
				autoOpen: false,
				modal: true,
				width: 'auto',
				close: $.ss_cim_api.closeAdd
			});
			$.ss_cim_api.popupAdd = $('#authorizeNetAPIPopupAdd');
			$.ss_cim_api.popupAddMessages = $('#authorizeNetAPIPopupAddMessages');
			$.ss_cim_api.popupAddBody = $('#authorizeNetAPIPopupAddBody');

			// Listeners and things no matter what the page
			$('#billingAddressEditForm').bind("submit", function(event) {
				return false;
			});
			$('#billingAddressEditSubmitButton').bind("click", $.ss_cim_api.editAddress);
			$('#billingAddressEditCancelButton').bind("click", $.ss_cim_api.closeEdit);
			
			$('#billingAddressAddForm').bind("submit", function(event) {
				return false;
			});
			$('#billingAddressAddSubmitButton').bind("click", $.ss_cim_api.submitAddress);
			$('#billingAddressAddCancelButton').bind("click", $.ss_cim_api.closeAdd);

			if (page == 'payment') {
				$("#basicPaymentSubmit").hide();
				$('#paymentProfilesDisplay').bind("click", $.ss_cim_api.clickAddress);
				$.ss_cim_api.loadAddPaymentForm = true;
				$.ss_cim_api.load();
			}else if (page == 'combo'){ 
				$("#basicPaymentSubmit").hide();
				$('#paymentProfilesDisplay').bind("click", $.ss_cim_api.clickAddress);
				$.ss_cim_api.load();
			}else if (page == 'checkout'){ 
				$('#paymentProfilesDisplay').bind("click", $.ss_cim_api.clickAddress);
				$('#billToThisAddressArea').bind("click", $.ss_cim_api.billToThisAddressArea);
				$.ss_cim_api.load();
			}else {
				$('#paymentProfilesDisplay').bind("click", $.ss_cim_api.clickAddress);
				$.ss_cim_api.load();
			}
			
			// Initialize the delete dialog box
		    $("#authorizeNetAPIDeleteDialog").dialog({
		        autoOpen: false,
		        modal: true,
		        close: $.ss_cim_api.closeDelete
		    });
		},

		billToThisAddressArea : function(event) {
			$('#billToThisAddress').attr('checked', true);
			$("#addressesForm :input[id^='billing']").prop("readonly", false);
			$.ss_cim_api.lastEdited = 0;
		},

		clickAddress : function(event) {
			var $clicked = $(event.target);
			if (($clicked.is("button") || $clicked.is("a")) && $clicked.hasClass("cimProfileDeleteLink")) {
				event.preventDefault();
				var currentId = $clicked.attr('id');
				if (currentId) {
					var s = currentId.split("-");
					if (s[1]) {
						// Display a dialog box asking the user to confirm
						$("#authorizeNetAPIDeleteDialog").dialog({
							buttons : {
								"Delete" : function() {
									$.ss_cim_api.deleteAddress(s[1]);
								},
								"Close" : function() {
									$(this).dialog("close");
								}
							}
						});
						$("#authorizeNetAPIDeleteDialog").dialog("open");
					}
				}
			}
			if (($clicked.is("button") || $clicked.is("a")) && $clicked.hasClass("cimProfileEditLink")) {
				event.preventDefault();
				var currentId = $clicked.attr('id');
				if (currentId) {
					var s = currentId.split("-");
					if (s[1]) {
						$.ss_cim_api.loadEdit(s[1]);
					}
				}
			}
			if (($clicked.is("button") || $clicked.is("a")) && $clicked.hasClass("cimProfileAddLink")) {
				event.preventDefault();
				$.ss_cim_api.loadSubmit();
			}
			if (($clicked.is("input:radio"))) {
				if ($.ss_cim_api.page == 'checkout'){
					var pId = $clicked.val();
					if (pId) {
						$.ss_cim_api.copyBilling(pId);
						// Disable billing input
						$("#addressesForm :input[id^='billing']").prop("readonly", true);
					}
				}
			}
		},

		loadEdit : function(id) {
			$("#authorizeNetAPIPopup").dialog("open");
			// $.ss_cim_api.popup.show();
			$.ss_cim_api.popupMessages.html("&nbsp;");
			$.ss_cim_api.popupBody.html("&nbsp;");
			if (!$.ss_cim_api.popupMessages.hasClass('loadingBar')) {
				$.ss_cim_api.popupMessages.addClass('loadingBar');
			}
			$.ss_cim_api.lastEdited = id;
			$.ajax( {
				type : "POST",
				url : "EditCIMProfileFormAjax.do",
				data : {
					"cimPaymentProfileID" : id
				},
				dataType : "html",
				success : $.ss_cim_api.loadEditSuccess,
				error : $.ss_cim_api.loadEditError
			});
		},

		loadEditSuccess : function(html) {
			$.ss_cim_api.popupMessages.removeClass('loadingBar');
			$.ss_cim_api.popupMessages.html("&nbsp;");
			$.ss_cim_api.popupBody.html(html);
		},

		loadError : function(error) {
			$.ss_cim_api.popupMessages.removeClass('loadingBar');
			$.ss_cim_api.popupBody.html("&nbsp;");
			$.ss_cim_api.popupMessages.html("Error communicating, please try again.");
		},

		load : function() {
			$('#paymentProfilesDisplay').html('&nbsp;');
			if (!$('#paymentProfilesDisplay').hasClass('loadingBar')) {
				$('#paymentProfilesDisplay').addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "LoadCIMProfilesAjax.do",
				data : {
					"fromPage" : $.ss_cim_api.page
				},
				dataType : "html",
				success : $.ss_cim_api.loadSuccess,
				error : $.ss_cim_api.loadError
			});
		},

		loadSuccess : function(html) {
			$('#paymentProfilesDisplay').removeClass('loadingBar');
			$('#paymentProfilesDisplay').html(html);
			if ($.ss_cim_api.page == 'checkout'){
				$('#cimProfileAddLink').hide();
			}
			$.ss_cim_api.lastEdited = $("input[name=cimPaymentProfileID]").last()[0].value;
			$.ss_cim_api.selectLastPaymentMethod();
			if (html.indexOf('cimProfileEditLink') == -1) {
				$("#basicPaymentSubmit").hide();
				if ($.ss_cim_api.page == 'checkout'){
					$('#profilesTable').hide();
				}
				if ($.ss_cim_api.loadAddPaymentForm) {
					$.ss_cim_api.loadSubmit();
					$.ss_cim_api.loadAddPaymentForm = false;
				}
			}else{
				$("#basicPaymentSubmit").show();
			}
			
		},

		loadError : function(error) {
			$('#paymentProfilesDisplay').removeClass('loadingBar');
			$('#paymentProfilesDisplay').html("Error communicating, please try again.");
			if ($.ss_cim_api.page == 'checkout'){
				$('#cimProfileAddLink').hide();
				$('#billToThisAddress').attr('checked', true);
			}
		},

		closeEdit : function(event) {
			event.preventDefault();
			$.ss_cim_api.popupMessages.html("&nbsp;");
			$.ss_cim_api.popupBody.html("&nbsp;");
			$("#authorizeNetAPIPopup").dialog("close");
			$.ss_cim_api.load();
			return false;
		},

		editAddress : function(event) {
			event.preventDefault();
			$('#billingAddressEditForm').fadeOut();
			if (!$.ss_cim_api.popupMessages.hasClass('loadingBar')) {
				$.ss_cim_api.popupMessages.addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "EditCIMProfileAjax.do",
				data : $('#billingAddressEditForm').serialize(),
				dataType : "html",
				success : $.ss_cim_api.editSuccess,
				error : $.ss_cim_api.editError
			});
		},

		editSuccess : function(html) {
			$.ss_cim_api.popupMessages.removeClass('loadingBar');
			$.ss_cim_api.popupMessages.html(html);
			$('#billingAddressEditForm').fadeIn();
			$.ss_cim_api.load();
		},

		editError : function(error) {
			$.ss_cim_api.popupMessages.removeClass('loadingBar');
			$.ss_cim_api.popupMessages
					.html("Error communicating, please try again.");
			$('#billingAddressEditForm').fadeIn();
		},
		
		closeAdd : function(event) {
			event.preventDefault();
			$.ss_cim_api.popupAddMessages.html("&nbsp;");
			$.ss_cim_api.popupAddBody.html("&nbsp;");
			$("#authorizeNetAPIPopupAdd").dialog("close");
			$.ss_cim_api.load();
			return false;
		},

		submitAddress : function(event) {
			event.preventDefault();
			$('#paymentProfilesDisplay').html('&nbsp;');
			$('billingAddressAddForm').fadeOut();
			if (!$('#paymentProfilesDisplay').hasClass('loadingBar')) {
				$('#paymentProfilesDisplay').addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "AddCIMProfileAjax.do",
				data : $('#billingAddressAddForm').serialize(),
				dataType : "html",
				success : $.ss_cim_api.submitSuccess,
				error : $.ss_cim_api.submitError
			});
		},

		submitSuccess : function(html) {
			// If no errors, close the form
			$.ss_cim_api.popupAddMessages.removeClass('loadingBar');
			$.ss_cim_api.popupAddMessages.html(html);
			if (html.indexOf('ajaxError') == -1) {
				$("#authorizeNetAPIPopupAdd").dialog("close");
				$.ss_cim_api.load();
			} else {
				$('#billingAddressAddForm').fadeIn();
				$.ss_cim_api.load();
			}
		},

		submitError : function(error) {
			$.ss_cim_api.popupAddMessages.removeClass('loadingBar');
			$.ss_cim_api.popupAddMessages
					.html("Error communicating, please try again.");
			$('#billingAddressAddForm').fadeIn();
		},
		
		loadSubmit : function() {
			$("#authorizeNetAPIPopupAdd").dialog("open");
			$.ss_cim_api.popupAddMessages.html("&nbsp;");
			$.ss_cim_api.popupAddBody.html("&nbsp;");
			if (!$.ss_cim_api.popupAddMessages.hasClass('loadingBar')) {
				$.ss_cim_api.popupAddMessages.addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "AddCIMProfileFormAjax.do",
				data : { },
				dataType : "html",
				success : $.ss_cim_api.loadSubmitSuccess,
				error : $.ss_cim_api.loadSubmitError
			});
		},

		loadSubmitSuccess : function(html) {
			$.ss_cim_api.popupAddMessages.removeClass('loadingBar');
			$.ss_cim_api.popupAddMessages.html("&nbsp;");
			$.ss_cim_api.popupAddBody.html(html);
			
		},

		loadSubmitError : function(error) {
			$.ss_cim_api.popupAddMessages.removeClass('loadingBar');
			$.ss_cim_api.popupAddBody.html("&nbsp;");
			$.ss_cim_api.popupAddMessages.html("Error communicating, please try again.");
		},
		
		closeDelete : function(event) {
			event.preventDefault();
			$('#authorizeNetAPIDeleteMessages').removeClass('loadingBar');
			$('#authorizeNetAPIDeleteMessages').html("&nbsp;");
			$("#authorizeNetAPIDeleteDialog").dialog("close");
			$.ss_cim_api.load();
			return false;
		},

		deleteAddress : function(addressID) {
			$('#authorizeNetAPIDeleteMessages').html('&nbsp;');
			if (!$('#authorizeNetAPIDeleteMessages').hasClass('loadingBar')) {
				$('#authorizeNetAPIDeleteMessages').addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "DeleteCIMProfileAjax.do",
				data : {
					"cimPaymentProfileID" : addressID
				},
				dataType : "html",
				success : $.ss_cim_api.deleteSuccess,
				error : $.ss_cim_api.deleteError
			});
		},

		deleteSuccess : function(html) {
			// $("#authorizeNetAPIDeleteDialog").dialog("close");
			$('#authorizeNetAPIDeleteMessages').removeClass('loadingBar');
			$('#authorizeNetAPIDeleteMessages').html(html);
			$("#authorizeNetAPIDeleteDialog").dialog("close");
			$.ss_cim_api.load();
		},

		deleteError : function(error) {
			// $("#authorizeNetAPIDeleteDialog").dialog("close");
			$('#authorizeNetAPIDeleteMessages').removeClass('loadingBar');
			$('#authorizeNetAPIDeleteMessages').html(
					"Error communicating, please try again.");
		},

		clearForm : function(form) {
			$(form).find(':input').each(function() {
				switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
				}
			});
		},
		
		copyBilling : function(id) {
			$.ss_cim_api.copyFields("#cimDetail-firstName-" + id,"#billingFirstName");
			$.ss_cim_api.copyFields("#cimDetail-lastName-" + id,"#billingLastName");
			$.ss_cim_api.copyFields("#cimDetail-company-" + id,"#billingOrganization");
			$.ss_cim_api.copyFields("#cimDetail-address-" + id,"#billingAddress1");
			// Doesn't exist, will just erase
			$.ss_cim_api.copyFields("#cimDetail-address2-" + id,"#billingAddress2");
			$.ss_cim_api.copyFields("#cimDetail-city-" + id,"#billingCity");
			$.ss_cim_api.copyFields("#cimDetail-state-" + id,"#billingState");
			$.ss_cim_api.copyFields("#cimDetail-country-" + id,"#billingCountry");
			$.ss_cim_api.copyFields("#cimDetail-zip-" + id,"#billingPostalCode");
			$.ss_cim_api.copyFields("#cimDetail-phone-" + id,"#billingPhone1");
			// Doesn't exist, will just erase
			$.ss_cim_api.copyFields("#cimDetail-phone2-" + id,"#billingPhone2");
			
		},
		
		selectLastPaymentMethod : function() {
			$("input[name=cimPaymentProfileID]").each(function() {
				if ($(this).val() == $.ss_cim_api.lastEdited){
					$(this).attr('checked', true);
					if ($.ss_cim_api.page == 'checkout'){
						if ($.ss_cim_api.lastEdited > 0){
							$.ss_cim_api.copyBilling($.ss_cim_api.lastEdited);
							$("#addressesForm :input[id^='billing']").prop("readonly", true);
						}else{
							$.ss_cim_api.billToThisAddressArea();
						}
					}
				}
			});
		},
		
		copyFields : function(copyFrom,copyTo){
			if ($(copyTo).length > 0){
				if ($(copyFrom).length > 0){
					$(copyTo).val($(copyFrom).text().trim());
				}else{
					$(copyTo).val('');
				}
			}
		}
		
	};
})(jQuery);
